# swagger
API for DiscoverSnoop Service

This Dart package is automatically generated by the [Swagger Codegen](https://github.com/swagger-api/swagger-codegen) project:

- API version: 0.9.250210
- Build package: io.swagger.codegen.v3.generators.dart.DartClientCodegen

## Requirements

Dart 1.20.0 or later OR Flutter 0.0.20 or later

## Installation & Usage

### Github
If this Dart package is published to Github, please include the following in pubspec.yaml
```
name: swagger
version: 1.0.0
description: Swagger API client
dependencies:
  swagger:
    git: https://github.com/GIT_USER_ID/GIT_REPO_ID.git
      version: 'any'
```

### Local
To use the package in your local drive, please include the following in pubspec.yaml
```
dependencies:
  swagger:
    path: /path/to/swagger
```

## Tests

TODO

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```dart
import 'package:swagger/api.dart';

var api_instance = new AlertsApi();
var id = id_example; // String | ID of the alert to edit ; if adding a new one leave blank
var alertname = alertname_example; // String | Name of the alert
var activated = true; // bool | Should the alert be activated or not
var type = 56; // int | Alert type (1= New content for website, 2=New performing contents), 3=New contents in category
var channel = 56; // int | 1 for email, 2 for Slack, 3 for Google Chat, 4 for JSON
var recipient = recipient_example; // String | Email address of recipient or webhook for Slack/Gchat or JSON endpoint
var param1 = param1_example; // String | Parameter 1 (meaning changes with alert type)
var param2 = param2_example; // String | Parameter 2 (meaning changes with alert type)
var param3 = param3_example; // String | Parameter 3 (meaning changes with alert type)
var param4 = param4_example; // String | Parameter 4 (meaning changes with alert type)
var param5 = param5_example; // String | Parameter 5 (meaning changes with alert type)
var param6 = param6_example; // String | Parameter 6 (meaning changes with alert type)

try {
    var result = api_instance.alertsChangeGet(id, alertname, activated, type, channel, recipient, param1, param2, param3, param4, param5, param6);
    print(result);
} catch (e) {
    print("Exception when calling AlertsApi->alertsChangeGet: $e\n");
}
```

## Documentation for API Endpoints

All URIs are relative to *https://api.discoversnoop.com*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*AlertsApi* | [**alertsChangeGet**](docs//AlertsApi.md#alertschangeget) | **GET** /alerts_change | Edit or insert new alert
*AlertsApi* | [**alertsDeleteGet**](docs//AlertsApi.md#alertsdeleteget) | **GET** /alerts_delete | Permanently delete the alert
*AlertsApi* | [**alertsGet**](docs//AlertsApi.md#alertsget) | **GET** /alerts | Get alerts for user account
*FavsApi* | [**favsAddGet**](docs//FavsApi.md#favsaddget) | **GET** /favs_add | Create a new fav
*FavsApi* | [**favsDeleteGet**](docs//FavsApi.md#favsdeleteget) | **GET** /favs_delete | Permanently delete the fav
*FavsApi* | [**favsGet**](docs//FavsApi.md#favsget) | **GET** /favs | Get favorites
*FavsApi* | [**favsUpdateGet**](docs//FavsApi.md#favsupdateget) | **GET** /favs_update | Update the fav
*HistoricalApi* | [**categoriesGet**](docs//HistoricalApi.md#categoriesget) | **GET** /categories | Get historical stats for categories
*HistoricalApi* | [**categoryGet**](docs//HistoricalApi.md#categoryget) | **GET** /category | Get history for category ID
*HistoricalApi* | [**domainGet**](docs//HistoricalApi.md#domainget) | **GET** /domain | Get history for domain name
*HistoricalApi* | [**domainsGet**](docs//HistoricalApi.md#domainsget) | **GET** /domains | Get historical stats for domains
*HistoricalApi* | [**entitiesGet**](docs//HistoricalApi.md#entitiesget) | **GET** /entities | Get historical stats for entities
*HistoricalApi* | [**entityGet**](docs//HistoricalApi.md#entityget) | **GET** /entity | Get history for entity
*HistoricalApi* | [**pageGet**](docs//HistoricalApi.md#pageget) | **GET** /page | Get page history for URL
*HistoricalApi* | [**pagesGet**](docs//HistoricalApi.md#pagesget) | **GET** /pages | Get historical stats for pages
*InfoApi* | [**categoriesListGet**](docs//InfoApi.md#categorieslistget) | **GET** /categories_list | Get list of categories used in the product
*InfoApi* | [**countriesListGet**](docs//InfoApi.md#countrieslistget) | **GET** /countries_list | Get list of countries available in the product
*KbApi* | [**kbArticlesGet**](docs//KbApi.md#kbarticlesget) | **GET** /kb_articles | Get knowledge base articles
*LiveApi* | [**livecategoriesGet**](docs//LiveApi.md#livecategoriesget) | **GET** /livecategories | Get livedata stats for categories
*LiveApi* | [**livedomainsGet**](docs//LiveApi.md#livedomainsget) | **GET** /livedomains | Get livedata stats for domains
*LiveApi* | [**liveentitiesGet**](docs//LiveApi.md#liveentitiesget) | **GET** /liveentities | Get livedata stats for entities
*LiveApi* | [**livepagesGet**](docs//LiveApi.md#livepagesget) | **GET** /livepages | Get livedata stats for pages
*UserApi* | [**userCountriesChangeGet**](docs//UserApi.md#usercountrieschangeget) | **GET** /user_countries_change | Change user&#x27;s activated countries
*UserApi* | [**userCustidChangeGet**](docs//UserApi.md#usercustidchangeget) | **GET** /user_custid_change | Change user customer id. This function is system reserved
*UserApi* | [**userDeleteGet**](docs//UserApi.md#userdeleteget) | **GET** /user_delete | Permanently delete the user
*UserApi* | [**userDetailsChangeGet**](docs//UserApi.md#userdetailschangeget) | **GET** /user_details_change | Change user details
*UserApi* | [**userLoginGet**](docs//UserApi.md#userloginget) | **GET** /user_login | Login user with his credentials
*UserApi* | [**userMessagesGet**](docs//UserApi.md#usermessagesget) | **GET** /user_messages | Get messages for user
*UserApi* | [**userPasswordChangeGet**](docs//UserApi.md#userpasswordchangeget) | **GET** /user_password_change | Change user password
*UserApi* | [**userPasswordResetGet**](docs//UserApi.md#userpasswordresetget) | **GET** /user_password_reset | Reset user password
*UserApi* | [**userRefreshSubscriptionGet**](docs//UserApi.md#userrefreshsubscriptionget) | **GET** /user_refresh_subscription | Refresh user rights with his Customer ID. This function is system reserved
*UserApi* | [**userRegisterGet**](docs//UserApi.md#userregisterget) | **GET** /user_register | Login user with his credentials

## Documentation For Models

 - [AlertCollection](docs//AlertCollection.md)
 - [Alerts](docs//Alerts.md)
 - [Categories](docs//Categories.md)
 - [CategoriesCollection](docs//CategoriesCollection.md)
 - [CategoriesList](docs//CategoriesList.md)
 - [CategoriesListCollection](docs//CategoriesListCollection.md)
 - [Category](docs//Category.md)
 - [CountriesList](docs//CountriesList.md)
 - [CountriesListCollection](docs//CountriesListCollection.md)
 - [DistributionCollection](docs//DistributionCollection.md)
 - [Domain](docs//Domain.md)
 - [Domains](docs//Domains.md)
 - [DomainsCollection](docs//DomainsCollection.md)
 - [Entities](docs//Entities.md)
 - [EntitiesCollection](docs//EntitiesCollection.md)
 - [Entity](docs//Entity.md)
 - [Favs](docs//Favs.md)
 - [FavsCollection](docs//FavsCollection.md)
 - [KB](docs//KB.md)
 - [KBCollection](docs//KBCollection.md)
 - [Message](docs//Message.md)
 - [MessageCollection](docs//MessageCollection.md)
 - [MetricsCollection](docs//MetricsCollection.md)
 - [Page](docs//Page.md)
 - [Pages](docs//Pages.md)
 - [PagesCollection](docs//PagesCollection.md)
 - [TransactionInfo](docs//TransactionInfo.md)
 - [UserCollection](docs//UserCollection.md)
 - [UserInfo](docs//UserInfo.md)

## Documentation For Authorization


## bearerAuth



## Author


