# swagger.api.AlertsApi

## Load the API package
```dart
import 'package:swagger/api.dart';
```

All URIs are relative to *https://api.discoversnoop.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**alertsChangeGet**](AlertsApi.md#alertsChangeGet) | **GET** /alerts_change | Edit or insert new alert
[**alertsDeleteGet**](AlertsApi.md#alertsDeleteGet) | **GET** /alerts_delete | Permanently delete the alert
[**alertsGet**](AlertsApi.md#alertsGet) | **GET** /alerts | Get alerts for user account

# **alertsChangeGet**
> List<Domains> alertsChangeGet(id, alertname, activated, type, channel, recipient, param1, param2, param3, param4, param5, param6)

Edit or insert new alert

### Example
```dart
import 'package:swagger/api.dart';

var api_instance = new AlertsApi();
var id = id_example; // String | ID of the alert to edit ; if adding a new one leave blank
var alertname = alertname_example; // String | Name of the alert
var activated = true; // bool | Should the alert be activated or not
var type = 56; // int | Alert type (1= New content for website, 2=New performing contents), 3=New contents in category
var channel = 56; // int | 1 for email, 2 for Slack, 3 for Google Chat, 4 for JSON
var recipient = recipient_example; // String | Email address of recipient or webhook for Slack/Gchat or JSON endpoint
var param1 = param1_example; // String | Parameter 1 (meaning changes with alert type)
var param2 = param2_example; // String | Parameter 2 (meaning changes with alert type)
var param3 = param3_example; // String | Parameter 3 (meaning changes with alert type)
var param4 = param4_example; // String | Parameter 4 (meaning changes with alert type)
var param5 = param5_example; // String | Parameter 5 (meaning changes with alert type)
var param6 = param6_example; // String | Parameter 6 (meaning changes with alert type)

try {
    var result = api_instance.alertsChangeGet(id, alertname, activated, type, channel, recipient, param1, param2, param3, param4, param5, param6);
    print(result);
} catch (e) {
    print("Exception when calling AlertsApi->alertsChangeGet: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| ID of the alert to edit ; if adding a new one leave blank | 
 **alertname** | **String**| Name of the alert | 
 **activated** | **bool**| Should the alert be activated or not | 
 **type** | **int**| Alert type (1&#x3D; New content for website, 2&#x3D;New performing contents), 3&#x3D;New contents in category | 
 **channel** | **int**| 1 for email, 2 for Slack, 3 for Google Chat, 4 for JSON | 
 **recipient** | **String**| Email address of recipient or webhook for Slack/Gchat or JSON endpoint | 
 **param1** | **String**| Parameter 1 (meaning changes with alert type) | [optional] 
 **param2** | **String**| Parameter 2 (meaning changes with alert type) | [optional] 
 **param3** | **String**| Parameter 3 (meaning changes with alert type) | [optional] 
 **param4** | **String**| Parameter 4 (meaning changes with alert type) | [optional] 
 **param5** | **String**| Parameter 5 (meaning changes with alert type) | [optional] 
 **param6** | **String**| Parameter 6 (meaning changes with alert type) | [optional] 

### Return type

[**List<Domains>**](Domains.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **alertsDeleteGet**
> List<TransactionInfo> alertsDeleteGet(id)

Permanently delete the alert

### Example
```dart
import 'package:swagger/api.dart';

var api_instance = new AlertsApi();
var id = id_example; // String | alert id to delete

try {
    var result = api_instance.alertsDeleteGet(id);
    print(result);
} catch (e) {
    print("Exception when calling AlertsApi->alertsDeleteGet: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| alert id to delete | 

### Return type

[**List<TransactionInfo>**](TransactionInfo.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **alertsGet**
> List<Alerts> alertsGet()

Get alerts for user account

### Example
```dart
import 'package:swagger/api.dart';

var api_instance = new AlertsApi();

try {
    var result = api_instance.alertsGet();
    print(result);
} catch (e) {
    print("Exception when calling AlertsApi->alertsGet: $e\n");
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

[**List<Alerts>**](Alerts.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

