# swagger.api.FavsApi

## Load the API package
```dart
import 'package:swagger/api.dart';
```

All URIs are relative to *https://api.discoversnoop.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**favsAddGet**](FavsApi.md#favsAddGet) | **GET** /favs_add | Create a new fav
[**favsDeleteGet**](FavsApi.md#favsDeleteGet) | **GET** /favs_delete | Permanently delete the fav
[**favsGet**](FavsApi.md#favsGet) | **GET** /favs | Get favorites
[**favsUpdateGet**](FavsApi.md#favsUpdateGet) | **GET** /favs_update | Update the fav

# **favsAddGet**
> List<TransactionInfo> favsAddGet(name, action, parameters)

Create a new fav

### Example
```dart
import 'package:swagger/api.dart';

var api_instance = new FavsApi();
var name = name_example; // String | Name of the fav.
var action = action_example; // String | Action to be opened.
var parameters = parameters_example; // String | Action's parameters encoded in JSON.

try {
    var result = api_instance.favsAddGet(name, action, parameters);
    print(result);
} catch (e) {
    print("Exception when calling FavsApi->favsAddGet: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **name** | **String**| Name of the fav. | [optional] 
 **action** | **String**| Action to be opened. | [optional] 
 **parameters** | **String**| Action&#x27;s parameters encoded in JSON. | [optional] 

### Return type

[**List<TransactionInfo>**](TransactionInfo.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **favsDeleteGet**
> List<TransactionInfo> favsDeleteGet(id)

Permanently delete the fav

### Example
```dart
import 'package:swagger/api.dart';

var api_instance = new FavsApi();
var id = id_example; // String | ID of the fav to delete.

try {
    var result = api_instance.favsDeleteGet(id);
    print(result);
} catch (e) {
    print("Exception when calling FavsApi->favsDeleteGet: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| ID of the fav to delete. | [optional] 

### Return type

[**List<TransactionInfo>**](TransactionInfo.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **favsGet**
> List<Favs> favsGet(id)

Get favorites

### Example
```dart
import 'package:swagger/api.dart';

var api_instance = new FavsApi();
var id = id_example; // String | ID of the requested fav. ignore or set to 0 to get the full favs list

try {
    var result = api_instance.favsGet(id);
    print(result);
} catch (e) {
    print("Exception when calling FavsApi->favsGet: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| ID of the requested fav. ignore or set to 0 to get the full favs list | [optional] 

### Return type

[**List<Favs>**](Favs.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **favsUpdateGet**
> List<TransactionInfo> favsUpdateGet(id, name, action, parameters, scheduled, scheduledto)

Update the fav

### Example
```dart
import 'package:swagger/api.dart';

var api_instance = new FavsApi();
var id = id_example; // String | ID of the fav that should be edited
var name = name_example; // String | Name of the fav.
var action = action_example; // String | Action to be opened.
var parameters = parameters_example; // String | Action's parameters encoded in JSON.
var scheduled = 56; // int | 0 if not scheduled, else x in hours
var scheduledto = scheduledto_example; // String | email address of the recipient of this report

try {
    var result = api_instance.favsUpdateGet(id, name, action, parameters, scheduled, scheduledto);
    print(result);
} catch (e) {
    print("Exception when calling FavsApi->favsUpdateGet: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| ID of the fav that should be edited | 
 **name** | **String**| Name of the fav. | [optional] 
 **action** | **String**| Action to be opened. | [optional] 
 **parameters** | **String**| Action&#x27;s parameters encoded in JSON. | [optional] 
 **scheduled** | **int**| 0 if not scheduled, else x in hours | [optional] 
 **scheduledto** | **String**| email address of the recipient of this report | [optional] 

### Return type

[**List<TransactionInfo>**](TransactionInfo.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

