# swagger.api.HistoricalApi

## Load the API package
```dart
import 'package:swagger/api.dart';
```

All URIs are relative to *https://api.discoversnoop.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**categoriesGet**](HistoricalApi.md#categoriesGet) | **GET** /categories | Get historical stats for categories
[**categoryGet**](HistoricalApi.md#categoryGet) | **GET** /category | Get history for category ID
[**domainGet**](HistoricalApi.md#domainGet) | **GET** /domain | Get history for domain name
[**domainsGet**](HistoricalApi.md#domainsGet) | **GET** /domains | Get historical stats for domains
[**entitiesGet**](HistoricalApi.md#entitiesGet) | **GET** /entities | Get historical stats for entities
[**entityGet**](HistoricalApi.md#entityGet) | **GET** /entity | Get history for entity
[**pageGet**](HistoricalApi.md#pageGet) | **GET** /page | Get page history for URL
[**pagesGet**](HistoricalApi.md#pagesGet) | **GET** /pages | Get historical stats for pages

# **categoriesGet**
> List<Categories> categoriesGet(country, subcountry, fromDate, toDate, keywordFilter, lines, offset)

Get historical stats for categories

### Example
```dart
import 'package:swagger/api.dart';

var api_instance = new HistoricalApi();
var country = country_example; // String | ISO_3166 country code in 2 letters
var subcountry = subcountry_example; // String | state code
var fromDate = fromDate_example; // String | Datas from YYYY-MM-DD (if not provided, datas will adjust to page audience)
var toDate = toDate_example; // String | Datas to YYYY-MM-DD (if not provided, datas will adjust to page audience)
var keywordFilter = keywordFilter_example; // String | Filter answers to cateogry names containing a particular keyword
var lines = 56; // int | Get X results (max in one request is 10000 a request with more than 10000 will be downgraded to 10000 please use offset paginated results if you need more)
var offset = 56; // int | Get paginated results from X offset

try {
    var result = api_instance.categoriesGet(country, subcountry, fromDate, toDate, keywordFilter, lines, offset);
    print(result);
} catch (e) {
    print("Exception when calling HistoricalApi->categoriesGet: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **country** | **String**| ISO_3166 country code in 2 letters | 
 **subcountry** | **String**| state code | [optional] 
 **fromDate** | **String**| Datas from YYYY-MM-DD (if not provided, datas will adjust to page audience) | [optional] 
 **toDate** | **String**| Datas to YYYY-MM-DD (if not provided, datas will adjust to page audience) | [optional] 
 **keywordFilter** | **String**| Filter answers to cateogry names containing a particular keyword | [optional] 
 **lines** | **int**| Get X results (max in one request is 10000 a request with more than 10000 will be downgraded to 10000 please use offset paginated results if you need more) | [optional] [default to 50]
 **offset** | **int**| Get paginated results from X offset | [optional] [default to 0]

### Return type

[**List<Categories>**](Categories.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **categoryGet**
> List<Category> categoryGet(id, country, subcountry, fromDate, toDate)

Get history for category ID

### Example
```dart
import 'package:swagger/api.dart';

var api_instance = new HistoricalApi();
var id = id_example; // String | category id
var country = country_example; // String | ISO_3166 country code in 2 letters
var subcountry = subcountry_example; // String | state code
var fromDate = fromDate_example; // String | Datas from YYYY-MM-DD (if not provided, datas will adjust to page audience)
var toDate = toDate_example; // String | Datas to YYYY-MM-DD (if not provided, datas will adjust to page audience)

try {
    var result = api_instance.categoryGet(id, country, subcountry, fromDate, toDate);
    print(result);
} catch (e) {
    print("Exception when calling HistoricalApi->categoryGet: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| category id | 
 **country** | **String**| ISO_3166 country code in 2 letters | 
 **subcountry** | **String**| state code | [optional] 
 **fromDate** | **String**| Datas from YYYY-MM-DD (if not provided, datas will adjust to page audience) | [optional] 
 **toDate** | **String**| Datas to YYYY-MM-DD (if not provided, datas will adjust to page audience) | [optional] 

### Return type

[**List<Category>**](Category.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **domainGet**
> List<Domain> domainGet(domain, country, subcountry, fromDate, toDate)

Get history for domain name

### Example
```dart
import 'package:swagger/api.dart';

var api_instance = new HistoricalApi();
var domain = domain_example; // String | domain name (no subdomain allowed)
var country = country_example; // String | ISO_3166 country code in 2 letters
var subcountry = subcountry_example; // String | state code
var fromDate = fromDate_example; // String | Datas from YYYY-MM-DD (if not provided, datas will adjust to page audience)
var toDate = toDate_example; // String | Datas to YYYY-MM-DD (if not provided, datas will adjust to page audience)

try {
    var result = api_instance.domainGet(domain, country, subcountry, fromDate, toDate);
    print(result);
} catch (e) {
    print("Exception when calling HistoricalApi->domainGet: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **domain** | **String**| domain name (no subdomain allowed) | 
 **country** | **String**| ISO_3166 country code in 2 letters | 
 **subcountry** | **String**| state code | [optional] 
 **fromDate** | **String**| Datas from YYYY-MM-DD (if not provided, datas will adjust to page audience) | [optional] 
 **toDate** | **String**| Datas to YYYY-MM-DD (if not provided, datas will adjust to page audience) | [optional] 

### Return type

[**List<Domain>**](Domain.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **domainsGet**
> List<Domains> domainsGet(country, subcountry, fromDate, toDate, urlFilter, lines, offset)

Get historical stats for domains

### Example
```dart
import 'package:swagger/api.dart';

var api_instance = new HistoricalApi();
var country = country_example; // String | ISO_3166 country code in 2 letters
var subcountry = subcountry_example; // String | state code
var fromDate = fromDate_example; // String | Datas from YYYY-MM-DD (if not provided, datas will adjust to page audience)
var toDate = toDate_example; // String | Datas to YYYY-MM-DD (if not provided, datas will adjust to page audience)
var urlFilter = urlFilter_example; // String | Filter answers to domains including a specified string
var lines = 56; // int | Get X results (max in one request is 10000 a request with more than 10000 will be downgraded to 10000 please use offset paginated results if you need more)
var offset = 56; // int | Get paginated results from X offset

try {
    var result = api_instance.domainsGet(country, subcountry, fromDate, toDate, urlFilter, lines, offset);
    print(result);
} catch (e) {
    print("Exception when calling HistoricalApi->domainsGet: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **country** | **String**| ISO_3166 country code in 2 letters | 
 **subcountry** | **String**| state code | [optional] 
 **fromDate** | **String**| Datas from YYYY-MM-DD (if not provided, datas will adjust to page audience) | [optional] 
 **toDate** | **String**| Datas to YYYY-MM-DD (if not provided, datas will adjust to page audience) | [optional] 
 **urlFilter** | **String**| Filter answers to domains including a specified string | [optional] 
 **lines** | **int**| Get X results (max in one request is 10000 a request with more than 10000 will be downgraded to 10000 please use offset paginated results if you need more) | [optional] [default to 50]
 **offset** | **int**| Get paginated results from X offset | [optional] [default to 0]

### Return type

[**List<Domains>**](Domains.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **entitiesGet**
> List<Entities> entitiesGet(country, subcountry, fromDate, toDate, keywordFilter, lines, offset)

Get historical stats for entities

### Example
```dart
import 'package:swagger/api.dart';

var api_instance = new HistoricalApi();
var country = country_example; // String | ISO_3166 country code in 2 letters
var subcountry = subcountry_example; // String | state code
var fromDate = fromDate_example; // String | Datas from YYYY-MM-DD (if not provided, datas will adjust to page audience)
var toDate = toDate_example; // String | Datas to YYYY-MM-DD (if not provided, datas will adjust to page audience)
var keywordFilter = keywordFilter_example; // String | Filter answers to entity names containing a particular keyword
var lines = 56; // int | Get X results (max in one request is 50000 a request with more than 50000 will be downgraded to 10000 please use offset paginated results if you need more)
var offset = 56; // int | Get paginated results from X offset

try {
    var result = api_instance.entitiesGet(country, subcountry, fromDate, toDate, keywordFilter, lines, offset);
    print(result);
} catch (e) {
    print("Exception when calling HistoricalApi->entitiesGet: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **country** | **String**| ISO_3166 country code in 2 letters | 
 **subcountry** | **String**| state code | [optional] 
 **fromDate** | **String**| Datas from YYYY-MM-DD (if not provided, datas will adjust to page audience) | [optional] 
 **toDate** | **String**| Datas to YYYY-MM-DD (if not provided, datas will adjust to page audience) | [optional] 
 **keywordFilter** | **String**| Filter answers to entity names containing a particular keyword | [optional] 
 **lines** | **int**| Get X results (max in one request is 50000 a request with more than 50000 will be downgraded to 10000 please use offset paginated results if you need more) | [optional] [default to 50]
 **offset** | **int**| Get paginated results from X offset | [optional] [default to 0]

### Return type

[**List<Entities>**](Entities.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **entityGet**
> List<Entity> entityGet(name, country, subcountry, fromDate, toDate)

Get history for entity

### Example
```dart
import 'package:swagger/api.dart';

var api_instance = new HistoricalApi();
var name = name_example; // String | entity exact name URL encoded
var country = country_example; // String | ISO_3166 country code in 2 letters
var subcountry = subcountry_example; // String | state code
var fromDate = fromDate_example; // String | Datas from YYYY-MM-DD (if not provided, datas will adjust to page audience)
var toDate = toDate_example; // String | Datas to YYYY-MM-DD (if not provided, datas will adjust to page audience)

try {
    var result = api_instance.entityGet(name, country, subcountry, fromDate, toDate);
    print(result);
} catch (e) {
    print("Exception when calling HistoricalApi->entityGet: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **name** | **String**| entity exact name URL encoded | 
 **country** | **String**| ISO_3166 country code in 2 letters | 
 **subcountry** | **String**| state code | [optional] 
 **fromDate** | **String**| Datas from YYYY-MM-DD (if not provided, datas will adjust to page audience) | [optional] 
 **toDate** | **String**| Datas to YYYY-MM-DD (if not provided, datas will adjust to page audience) | [optional] 

### Return type

[**List<Entity>**](Entity.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **pageGet**
> List<Page> pageGet(url, country, subcountry, fromDate, toDate)

Get page history for URL

### Example
```dart
import 'package:swagger/api.dart';

var api_instance = new HistoricalApi();
var url = url_example; // String | Fully qualified page url. URL needs to be URL encoded
var country = country_example; // String | ISO_3166 country code in 2 letters
var subcountry = subcountry_example; // String | state code
var fromDate = fromDate_example; // String | Datas from YYYY-MM-DD (if not provided, datas will adjust to page audience)
var toDate = toDate_example; // String | Datas to YYYY-MM-DD (if not provided, datas will adjust to page audience)

try {
    var result = api_instance.pageGet(url, country, subcountry, fromDate, toDate);
    print(result);
} catch (e) {
    print("Exception when calling HistoricalApi->pageGet: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **url** | **String**| Fully qualified page url. URL needs to be URL encoded | 
 **country** | **String**| ISO_3166 country code in 2 letters | 
 **subcountry** | **String**| state code | [optional] 
 **fromDate** | **String**| Datas from YYYY-MM-DD (if not provided, datas will adjust to page audience) | [optional] 
 **toDate** | **String**| Datas to YYYY-MM-DD (if not provided, datas will adjust to page audience) | [optional] 

### Return type

[**List<Page>**](Page.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **pagesGet**
> List<Pages> pagesGet(fromDate, toDate, country, subcountry, presetFilter, domainFilter, keywordFilter, entityFilter, urlFilter, categoryFilter, languageFilter, lines, offset)

Get historical stats for pages

### Example
```dart
import 'package:swagger/api.dart';

var api_instance = new HistoricalApi();
var fromDate = fromDate_example; // String | Datas from YYYY-MM-DD (if not provided, last 30 days)
var toDate = toDate_example; // String | Datas to YYYY-MM-DD (if not provided, last 30 days)
var country = country_example; // String | ISO_3166 country code in 2 letters (if not provided  worldwide)
var subcountry = subcountry_example; // String | state code
var presetFilter = 56; // int | Apply preset filters => 0 no filter 1 no headlines 2 only headlines 3 to 6 deprecated 7 no articles 8 only articles 9 no shorts 10 only shorts 11 no showcase 12 only showcase 13 no video 14 only video 15 no webstory 16 only webstories
var domainFilter = domainFilter_example; // String | Filter answers to pages of a designated domain name
var keywordFilter = keywordFilter_example; // String | Filter answers to pages titles containing a particular keyword
var entityFilter = entityFilter_example; // String | Filter answers to pages with entities containing a particular keyword
var urlFilter = urlFilter_example; // String | Filter answers to pages URL including a specified string
var categoryFilter = 56; // int | Filter answers to a specific page category
var languageFilter = languageFilter_example; // String | Filter answers to pages in specific user language
var lines = 56; // int | Get X results (max in one request is 50000 a request with more than 50000 will be downgraded to 10000 please use offset paginated results if you need more)
var offset = 56; // int | Get paginated results from X offset

try {
    var result = api_instance.pagesGet(fromDate, toDate, country, subcountry, presetFilter, domainFilter, keywordFilter, entityFilter, urlFilter, categoryFilter, languageFilter, lines, offset);
    print(result);
} catch (e) {
    print("Exception when calling HistoricalApi->pagesGet: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **fromDate** | **String**| Datas from YYYY-MM-DD (if not provided, last 30 days) | [optional] 
 **toDate** | **String**| Datas to YYYY-MM-DD (if not provided, last 30 days) | [optional] 
 **country** | **String**| ISO_3166 country code in 2 letters (if not provided  worldwide) | [optional] 
 **subcountry** | **String**| state code | [optional] 
 **presetFilter** | **int**| Apply preset filters &#x3D;&gt; 0 no filter 1 no headlines 2 only headlines 3 to 6 deprecated 7 no articles 8 only articles 9 no shorts 10 only shorts 11 no showcase 12 only showcase 13 no video 14 only video 15 no webstory 16 only webstories | [optional] 
 **domainFilter** | **String**| Filter answers to pages of a designated domain name | [optional] 
 **keywordFilter** | **String**| Filter answers to pages titles containing a particular keyword | [optional] 
 **entityFilter** | **String**| Filter answers to pages with entities containing a particular keyword | [optional] 
 **urlFilter** | **String**| Filter answers to pages URL including a specified string | [optional] 
 **categoryFilter** | **int**| Filter answers to a specific page category | [optional] 
 **languageFilter** | **String**| Filter answers to pages in specific user language | [optional] 
 **lines** | **int**| Get X results (max in one request is 50000 a request with more than 50000 will be downgraded to 10000 please use offset paginated results if you need more) | [optional] [default to 50]
 **offset** | **int**| Get paginated results from X offset | [optional] [default to 0]

### Return type

[**List<Pages>**](Pages.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

