# swagger.api.LiveApi

## Load the API package
```dart
import 'package:swagger/api.dart';
```

All URIs are relative to *https://api.discoversnoop.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**livecategoriesGet**](LiveApi.md#livecategoriesGet) | **GET** /livecategories | Get livedata stats for categories
[**livedomainsGet**](LiveApi.md#livedomainsGet) | **GET** /livedomains | Get livedata stats for domains
[**liveentitiesGet**](LiveApi.md#liveentitiesGet) | **GET** /liveentities | Get livedata stats for entities
[**livepagesGet**](LiveApi.md#livepagesGet) | **GET** /livepages | Get livedata stats for pages

# **livecategoriesGet**
> List<Categories> livecategoriesGet(country, subcountry, hours, keywordFilter, languageFilter, lines, offset)

Get livedata stats for categories

### Example
```dart
import 'package:swagger/api.dart';

var api_instance = new LiveApi();
var country = country_example; // String | ISO_3166 country code in 2 letters
var subcountry = subcountry_example; // String | state code
var hours = 56; // int | Get results for last x hours
var keywordFilter = keywordFilter_example; // String | Filter answers to category names containing a particular keyword
var languageFilter = languageFilter_example; // String | Filter answers to pages in specific user language
var lines = 56; // int | Get X results (max in one request is 10000 a request with more than 10000 will be downgraded to 10000 please use offset paginated results if you need more)
var offset = 56; // int | Get paginated results from X offset

try {
    var result = api_instance.livecategoriesGet(country, subcountry, hours, keywordFilter, languageFilter, lines, offset);
    print(result);
} catch (e) {
    print("Exception when calling LiveApi->livecategoriesGet: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **country** | **String**| ISO_3166 country code in 2 letters | 
 **subcountry** | **String**| state code | [optional] 
 **hours** | **int**| Get results for last x hours | [optional] 
 **keywordFilter** | **String**| Filter answers to category names containing a particular keyword | [optional] 
 **languageFilter** | **String**| Filter answers to pages in specific user language | [optional] 
 **lines** | **int**| Get X results (max in one request is 10000 a request with more than 10000 will be downgraded to 10000 please use offset paginated results if you need more) | [optional] [default to 50]
 **offset** | **int**| Get paginated results from X offset | [optional] [default to 0]

### Return type

[**List<Categories>**](Categories.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **livedomainsGet**
> List<Domains> livedomainsGet(country, subcountry, urlFilter, hours, lines, languageFilter, offset)

Get livedata stats for domains

### Example
```dart
import 'package:swagger/api.dart';

var api_instance = new LiveApi();
var country = country_example; // String | ISO_3166 country code in 2 letters
var subcountry = subcountry_example; // String | state code
var urlFilter = urlFilter_example; // String | Filter answers to domains including a specified string
var hours = 56; // int | Get results for last x hours
var lines = 56; // int | Get X results (max in one request is 10000 a request with more than 10000 will be downgraded to 10000 please use offset paginated results if you need more)
var languageFilter = languageFilter_example; // String | Filter answers to pages in specific user language
var offset = 56; // int | Get paginated results from X offset

try {
    var result = api_instance.livedomainsGet(country, subcountry, urlFilter, hours, lines, languageFilter, offset);
    print(result);
} catch (e) {
    print("Exception when calling LiveApi->livedomainsGet: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **country** | **String**| ISO_3166 country code in 2 letters | 
 **subcountry** | **String**| state code | [optional] 
 **urlFilter** | **String**| Filter answers to domains including a specified string | [optional] 
 **hours** | **int**| Get results for last x hours | [optional] 
 **lines** | **int**| Get X results (max in one request is 10000 a request with more than 10000 will be downgraded to 10000 please use offset paginated results if you need more) | [optional] [default to 50]
 **languageFilter** | **String**| Filter answers to pages in specific user language | [optional] 
 **offset** | **int**| Get paginated results from X offset | [optional] [default to 0]

### Return type

[**List<Domains>**](Domains.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **liveentitiesGet**
> List<Entities> liveentitiesGet(country, subcountry, hours, keywordFilter, categoryFilter, languageFilter, domainFilter, lines, offset)

Get livedata stats for entities

### Example
```dart
import 'package:swagger/api.dart';

var api_instance = new LiveApi();
var country = country_example; // String | ISO_3166 country code in 2 letters
var subcountry = subcountry_example; // String | state code
var hours = 56; // int | Get results for last x hours
var keywordFilter = keywordFilter_example; // String | Filter answers to entity names containing a particular keyword
var categoryFilter = 56; // int | Filter answers to pages of a designated category id
var languageFilter = languageFilter_example; // String | Filter answers to pages in specific user language
var domainFilter = domainFilter_example; // String | Filter answers to pages of a designated domain name
var lines = 56; // int | Get X results (max in one request is 10000 a request with more than 10000 will be downgraded to 10000 please use offset paginated results if you need more)
var offset = 56; // int | Get paginated results from X offset

try {
    var result = api_instance.liveentitiesGet(country, subcountry, hours, keywordFilter, categoryFilter, languageFilter, domainFilter, lines, offset);
    print(result);
} catch (e) {
    print("Exception when calling LiveApi->liveentitiesGet: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **country** | **String**| ISO_3166 country code in 2 letters | 
 **subcountry** | **String**| state code | [optional] 
 **hours** | **int**| Get results for last x hours | [optional] 
 **keywordFilter** | **String**| Filter answers to entity names containing a particular keyword | [optional] 
 **categoryFilter** | **int**| Filter answers to pages of a designated category id | [optional] 
 **languageFilter** | **String**| Filter answers to pages in specific user language | [optional] 
 **domainFilter** | **String**| Filter answers to pages of a designated domain name | [optional] 
 **lines** | **int**| Get X results (max in one request is 10000 a request with more than 10000 will be downgraded to 10000 please use offset paginated results if you need more) | [optional] [default to 50]
 **offset** | **int**| Get paginated results from X offset | [optional] [default to 0]

### Return type

[**List<Entities>**](Entities.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **livepagesGet**
> List<Pages> livepagesGet(country, subcountry, hours, presetFilter, onlyNew, domainFilter, keywordFilter, entityFilter, urlFilter, categoryFilter, languageFilter, lines, offset)

Get livedata stats for pages

### Example
```dart
import 'package:swagger/api.dart';

var api_instance = new LiveApi();
var country = country_example; // String | ISO_3166 country code in 2 letters
var subcountry = subcountry_example; // String | state code
var hours = 56; // int | Get results for last x hours
var presetFilter = 56; // int | Apply preset filters => 0 no filter, 1 no headlines, 2 only headlines, 3 to 6 deprecated, 7 no articles, 8 only articles, 9 no shorts, 10 only shorts, 11 no showcase, 12 only showcase, 13 no video, 14 only video, 15 no webstory, 16 only webstories
var onlyNew = 56; // int | Get only pages first seen in the reporting period if set on 1
var domainFilter = domainFilter_example; // String | Filter answers to pages of a designated domain name
var keywordFilter = keywordFilter_example; // String | Filter answers to pages titles containing a particular keyword
var entityFilter = entityFilter_example; // String | Filter answers to pages with entities containing a particular keyword
var urlFilter = urlFilter_example; // String | Filter answers to pages URL including a specified string
var categoryFilter = 56; // int | Filter answers to pages of a designated category id
var languageFilter = languageFilter_example; // String | Filter answers to pages in specific user language
var lines = 56; // int | Get X results (max in one request is 10000 a request with more than 10000 will be downgraded to 20 please use offset paginated results if you need more)
var offset = 56; // int | Get paginated results from X offset

try {
    var result = api_instance.livepagesGet(country, subcountry, hours, presetFilter, onlyNew, domainFilter, keywordFilter, entityFilter, urlFilter, categoryFilter, languageFilter, lines, offset);
    print(result);
} catch (e) {
    print("Exception when calling LiveApi->livepagesGet: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **country** | **String**| ISO_3166 country code in 2 letters | 
 **subcountry** | **String**| state code | [optional] 
 **hours** | **int**| Get results for last x hours | [optional] 
 **presetFilter** | **int**| Apply preset filters &#x3D;&gt; 0 no filter, 1 no headlines, 2 only headlines, 3 to 6 deprecated, 7 no articles, 8 only articles, 9 no shorts, 10 only shorts, 11 no showcase, 12 only showcase, 13 no video, 14 only video, 15 no webstory, 16 only webstories | [optional] 
 **onlyNew** | **int**| Get only pages first seen in the reporting period if set on 1 | [optional] [default to 0]
 **domainFilter** | **String**| Filter answers to pages of a designated domain name | [optional] 
 **keywordFilter** | **String**| Filter answers to pages titles containing a particular keyword | [optional] 
 **entityFilter** | **String**| Filter answers to pages with entities containing a particular keyword | [optional] 
 **urlFilter** | **String**| Filter answers to pages URL including a specified string | [optional] 
 **categoryFilter** | **int**| Filter answers to pages of a designated category id | [optional] 
 **languageFilter** | **String**| Filter answers to pages in specific user language | [optional] 
 **lines** | **int**| Get X results (max in one request is 10000 a request with more than 10000 will be downgraded to 20 please use offset paginated results if you need more) | [optional] [default to 50]
 **offset** | **int**| Get paginated results from X offset | [optional] [default to 0]

### Return type

[**List<Pages>**](Pages.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

