# swagger.api.UserApi

## Load the API package
```dart
import 'package:swagger/api.dart';
```

All URIs are relative to *https://api.discoversnoop.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**userCountriesChangeGet**](UserApi.md#userCountriesChangeGet) | **GET** /user_countries_change | Change user&#x27;s activated countries
[**userCustidChangeGet**](UserApi.md#userCustidChangeGet) | **GET** /user_custid_change | Change user customer id. This function is system reserved
[**userDeleteGet**](UserApi.md#userDeleteGet) | **GET** /user_delete | Permanently delete the user
[**userDetailsChangeGet**](UserApi.md#userDetailsChangeGet) | **GET** /user_details_change | Change user details
[**userLoginGet**](UserApi.md#userLoginGet) | **GET** /user_login | Login user with his credentials
[**userMessagesGet**](UserApi.md#userMessagesGet) | **GET** /user_messages | Get messages for user
[**userPasswordChangeGet**](UserApi.md#userPasswordChangeGet) | **GET** /user_password_change | Change user password
[**userPasswordResetGet**](UserApi.md#userPasswordResetGet) | **GET** /user_password_reset | Reset user password
[**userRefreshSubscriptionGet**](UserApi.md#userRefreshSubscriptionGet) | **GET** /user_refresh_subscription | Refresh user rights with his Customer ID. This function is system reserved
[**userRegisterGet**](UserApi.md#userRegisterGet) | **GET** /user_register | Login user with his credentials

# **userCountriesChangeGet**
> List<TransactionInfo> userCountriesChangeGet(countries, categories)

Change user's activated countries

### Example
```dart
import 'package:swagger/api.dart';

var api_instance = new UserApi();
var countries = countries_example; // String | json encoded string representing countries to activate
var categories = categories_example; // String | json encoded string representing categories ID to activate

try {
    var result = api_instance.userCountriesChangeGet(countries, categories);
    print(result);
} catch (e) {
    print("Exception when calling UserApi->userCountriesChangeGet: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **countries** | **String**| json encoded string representing countries to activate | 
 **categories** | **String**| json encoded string representing categories ID to activate | 

### Return type

[**List<TransactionInfo>**](TransactionInfo.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **userCustidChangeGet**
> List<TransactionInfo> userCustidChangeGet(custid)

Change user customer id. This function is system reserved

### Example
```dart
import 'package:swagger/api.dart';

var api_instance = new UserApi();
var custid = custid_example; // String | new customer id for user

try {
    var result = api_instance.userCustidChangeGet(custid);
    print(result);
} catch (e) {
    print("Exception when calling UserApi->userCustidChangeGet: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **custid** | **String**| new customer id for user | 

### Return type

[**List<TransactionInfo>**](TransactionInfo.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **userDeleteGet**
> List<TransactionInfo> userDeleteGet()

Permanently delete the user

### Example
```dart
import 'package:swagger/api.dart';

var api_instance = new UserApi();

try {
    var result = api_instance.userDeleteGet();
    print(result);
} catch (e) {
    print("Exception when calling UserApi->userDeleteGet: $e\n");
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

[**List<TransactionInfo>**](TransactionInfo.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **userDetailsChangeGet**
> List<TransactionInfo> userDetailsChangeGet(email, fname, lname, translation)

Change user details

### Example
```dart
import 'package:swagger/api.dart';

var api_instance = new UserApi();
var email = email_example; // String | new email address for user
var fname = fname_example; // String | new firstname for user
var lname = lname_example; // String | new lastname for user
var translation = translation_example; // String | update the translation settings for user original (will show original titles) | english (will show titles translated in english)

try {
    var result = api_instance.userDetailsChangeGet(email, fname, lname, translation);
    print(result);
} catch (e) {
    print("Exception when calling UserApi->userDetailsChangeGet: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **email** | **String**| new email address for user | 
 **fname** | **String**| new firstname for user | 
 **lname** | **String**| new lastname for user | 
 **translation** | **String**| update the translation settings for user original (will show original titles) | english (will show titles translated in english) | [optional] 

### Return type

[**List<TransactionInfo>**](TransactionInfo.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **userLoginGet**
> List<UserInfo> userLoginGet(email, password, pin)

Login user with his credentials

### Example
```dart
import 'package:swagger/api.dart';

var api_instance = new UserApi();
var email = email_example; // String | email address for user
var password = password_example; // String | password for user
var pin = 56; // int | pin code to validate account creation ; when using pin code, password must be set to \"loginwithpin\"

try {
    var result = api_instance.userLoginGet(email, password, pin);
    print(result);
} catch (e) {
    print("Exception when calling UserApi->userLoginGet: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **email** | **String**| email address for user | 
 **password** | **String**| password for user | 
 **pin** | **int**| pin code to validate account creation ; when using pin code, password must be set to \&quot;loginwithpin\&quot; | [optional] 

### Return type

[**List<UserInfo>**](UserInfo.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **userMessagesGet**
> List<Message> userMessagesGet(message)

Get messages for user

### Example
```dart
import 'package:swagger/api.dart';

var api_instance = new UserApi();
var message = 56; // int | ID of the requested message. 0 to get the full message list

try {
    var result = api_instance.userMessagesGet(message);
    print(result);
} catch (e) {
    print("Exception when calling UserApi->userMessagesGet: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **message** | **int**| ID of the requested message. 0 to get the full message list | [optional] 

### Return type

[**List<Message>**](Message.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **userPasswordChangeGet**
> List<TransactionInfo> userPasswordChangeGet(email, password, newpassword)

Change user password

### Example
```dart
import 'package:swagger/api.dart';

var api_instance = new UserApi();
var email = email_example; // String | email address for user
var password = password_example; // String | current password for user
var newpassword = newpassword_example; // String | new password to set up for user

try {
    var result = api_instance.userPasswordChangeGet(email, password, newpassword);
    print(result);
} catch (e) {
    print("Exception when calling UserApi->userPasswordChangeGet: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **email** | **String**| email address for user | 
 **password** | **String**| current password for user | 
 **newpassword** | **String**| new password to set up for user | 

### Return type

[**List<TransactionInfo>**](TransactionInfo.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **userPasswordResetGet**
> List<TransactionInfo> userPasswordResetGet(email)

Reset user password

### Example
```dart
import 'package:swagger/api.dart';

var api_instance = new UserApi();
var email = email_example; // String | email address for user

try {
    var result = api_instance.userPasswordResetGet(email);
    print(result);
} catch (e) {
    print("Exception when calling UserApi->userPasswordResetGet: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **email** | **String**| email address for user | 

### Return type

[**List<TransactionInfo>**](TransactionInfo.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **userRefreshSubscriptionGet**
> List<UserInfo> userRefreshSubscriptionGet(custid)

Refresh user rights with his Customer ID. This function is system reserved

### Example
```dart
import 'package:swagger/api.dart';

var api_instance = new UserApi();
var custid = custid_example; // String | Customer ID for the user

try {
    var result = api_instance.userRefreshSubscriptionGet(custid);
    print(result);
} catch (e) {
    print("Exception when calling UserApi->userRefreshSubscriptionGet: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **custid** | **String**| Customer ID for the user | 

### Return type

[**List<UserInfo>**](UserInfo.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **userRegisterGet**
> List<UserInfo> userRegisterGet(email, password, fname, lname, referrer)

Login user with his credentials

### Example
```dart
import 'package:swagger/api.dart';

var api_instance = new UserApi();
var email = email_example; // String | email address for user
var password = password_example; // String | password for user
var fname = fname_example; // String | new firstname for user
var lname = lname_example; // String | new lastname for user
var referrer = referrer_example; // String | referrer for this user. should be urlencoded

try {
    var result = api_instance.userRegisterGet(email, password, fname, lname, referrer);
    print(result);
} catch (e) {
    print("Exception when calling UserApi->userRegisterGet: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **email** | **String**| email address for user | 
 **password** | **String**| password for user | 
 **fname** | **String**| new firstname for user | 
 **lname** | **String**| new lastname for user | 
 **referrer** | **String**| referrer for this user. should be urlencoded | [optional] 

### Return type

[**List<UserInfo>**](UserInfo.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

