part of swagger.api;



class AlertsApi {
  final ApiClient apiClient;

  AlertsApi([ApiClient apiClient]) : apiClient = apiClient ?? defaultApiClient;

  /// Edit or insert new alert
  ///
  /// 
  Future<List<Domains>> alertsChangeGet(String id, String alertname, bool activated, int type, int channel, String recipient, { String param1, String param2, String param3, String param4, String param5, String param6 }) async {
    Object postBody = null;

    // verify required params are set
    if(id == null) {
     throw new ApiException(400, "Missing required param: id");
    }
    if(alertname == null) {
     throw new ApiException(400, "Missing required param: alertname");
    }
    if(activated == null) {
     throw new ApiException(400, "Missing required param: activated");
    }
    if(type == null) {
     throw new ApiException(400, "Missing required param: type");
    }
    if(channel == null) {
     throw new ApiException(400, "Missing required param: channel");
    }
    if(recipient == null) {
     throw new ApiException(400, "Missing required param: recipient");
    }

    // create path and map variables
    String path = "/alerts_change".replaceAll("{format}","json");

    // query params
    List<QueryParam> queryParams = [];
    Map<String, String> headerParams = {};
    Map<String, String> formParams = {};
      queryParams.addAll(_convertParametersForCollectionFormat("", "id", id));
      queryParams.addAll(_convertParametersForCollectionFormat("", "alertname", alertname));
      queryParams.addAll(_convertParametersForCollectionFormat("", "activated", activated));
      queryParams.addAll(_convertParametersForCollectionFormat("", "type", type));
      queryParams.addAll(_convertParametersForCollectionFormat("", "channel", channel));
      queryParams.addAll(_convertParametersForCollectionFormat("", "recipient", recipient));
    if(param1 != null) {
      queryParams.addAll(_convertParametersForCollectionFormat("", "param1", param1));
    }
    if(param2 != null) {
      queryParams.addAll(_convertParametersForCollectionFormat("", "param2", param2));
    }
    if(param3 != null) {
      queryParams.addAll(_convertParametersForCollectionFormat("", "param3", param3));
    }
    if(param4 != null) {
      queryParams.addAll(_convertParametersForCollectionFormat("", "param4", param4));
    }
    if(param5 != null) {
      queryParams.addAll(_convertParametersForCollectionFormat("", "param5", param5));
    }
    if(param6 != null) {
      queryParams.addAll(_convertParametersForCollectionFormat("", "param6", param6));
    }
    
    List<String> contentTypes = [];

    String contentType = contentTypes.length > 0 ? contentTypes[0] : "application/json";
    List<String> authNames = ["bearerAuth"];

    if(contentType.startsWith("multipart/form-data")) {
      bool hasFields = false;
      MultipartRequest mp = new MultipartRequest(null, null);
      if(hasFields)
        postBody = mp;
    }
    else {
          }

    var response = await apiClient.invokeAPI(path,
                                             'GET',
                                             queryParams,
                                             postBody,
                                             headerParams,
                                             formParams,
                                             contentType,
                                             authNames);

    if(response.statusCode >= 400) {
      throw new ApiException(response.statusCode, response.body);
    } else if(response.body != null) {
      return
        (apiClient.deserialize(response.body, 'List<Domains>') as List).map((item) => item as Domains).toList();
    } else {
      return null;
    }
  }
  /// Permanently delete the alert
  ///
  /// 
  Future<List<TransactionInfo>> alertsDeleteGet(String id) async {
    Object postBody = null;

    // verify required params are set
    if(id == null) {
     throw new ApiException(400, "Missing required param: id");
    }

    // create path and map variables
    String path = "/alerts_delete".replaceAll("{format}","json");

    // query params
    List<QueryParam> queryParams = [];
    Map<String, String> headerParams = {};
    Map<String, String> formParams = {};
      queryParams.addAll(_convertParametersForCollectionFormat("", "id", id));
    
    List<String> contentTypes = [];

    String contentType = contentTypes.length > 0 ? contentTypes[0] : "application/json";
    List<String> authNames = ["bearerAuth"];

    if(contentType.startsWith("multipart/form-data")) {
      bool hasFields = false;
      MultipartRequest mp = new MultipartRequest(null, null);
      if(hasFields)
        postBody = mp;
    }
    else {
          }

    var response = await apiClient.invokeAPI(path,
                                             'GET',
                                             queryParams,
                                             postBody,
                                             headerParams,
                                             formParams,
                                             contentType,
                                             authNames);

    if(response.statusCode >= 400) {
      throw new ApiException(response.statusCode, response.body);
    } else if(response.body != null) {
      return
        (apiClient.deserialize(response.body, 'List<TransactionInfo>') as List).map((item) => item as TransactionInfo).toList();
    } else {
      return null;
    }
  }
  /// Get alerts for user account
  ///
  /// 
  Future<List<Alerts>> alertsGet() async {
    Object postBody = null;

    // verify required params are set

    // create path and map variables
    String path = "/alerts".replaceAll("{format}","json");

    // query params
    List<QueryParam> queryParams = [];
    Map<String, String> headerParams = {};
    Map<String, String> formParams = {};
    
    List<String> contentTypes = [];

    String contentType = contentTypes.length > 0 ? contentTypes[0] : "application/json";
    List<String> authNames = ["bearerAuth"];

    if(contentType.startsWith("multipart/form-data")) {
      bool hasFields = false;
      MultipartRequest mp = new MultipartRequest(null, null);
      if(hasFields)
        postBody = mp;
    }
    else {
          }

    var response = await apiClient.invokeAPI(path,
                                             'GET',
                                             queryParams,
                                             postBody,
                                             headerParams,
                                             formParams,
                                             contentType,
                                             authNames);

    if(response.statusCode >= 400) {
      throw new ApiException(response.statusCode, response.body);
    } else if(response.body != null) {
      return
        (apiClient.deserialize(response.body, 'List<Alerts>') as List).map((item) => item as Alerts).toList();
    } else {
      return null;
    }
  }
}
