part of swagger.api;



class FavsApi {
  final ApiClient apiClient;

  FavsApi([ApiClient apiClient]) : apiClient = apiClient ?? defaultApiClient;

  /// Create a new fav
  ///
  /// 
  Future<List<TransactionInfo>> favsAddGet({ String name, String action, String parameters }) async {
    Object postBody = null;

    // verify required params are set

    // create path and map variables
    String path = "/favs_add".replaceAll("{format}","json");

    // query params
    List<QueryParam> queryParams = [];
    Map<String, String> headerParams = {};
    Map<String, String> formParams = {};
    if(name != null) {
      queryParams.addAll(_convertParametersForCollectionFormat("", "name", name));
    }
    if(action != null) {
      queryParams.addAll(_convertParametersForCollectionFormat("", "action", action));
    }
    if(parameters != null) {
      queryParams.addAll(_convertParametersForCollectionFormat("", "parameters", parameters));
    }
    
    List<String> contentTypes = [];

    String contentType = contentTypes.length > 0 ? contentTypes[0] : "application/json";
    List<String> authNames = ["bearerAuth"];

    if(contentType.startsWith("multipart/form-data")) {
      bool hasFields = false;
      MultipartRequest mp = new MultipartRequest(null, null);
      if(hasFields)
        postBody = mp;
    }
    else {
          }

    var response = await apiClient.invokeAPI(path,
                                             'GET',
                                             queryParams,
                                             postBody,
                                             headerParams,
                                             formParams,
                                             contentType,
                                             authNames);

    if(response.statusCode >= 400) {
      throw new ApiException(response.statusCode, response.body);
    } else if(response.body != null) {
      return
        (apiClient.deserialize(response.body, 'List<TransactionInfo>') as List).map((item) => item as TransactionInfo).toList();
    } else {
      return null;
    }
  }
  /// Permanently delete the fav
  ///
  /// 
  Future<List<TransactionInfo>> favsDeleteGet({ String id }) async {
    Object postBody = null;

    // verify required params are set

    // create path and map variables
    String path = "/favs_delete".replaceAll("{format}","json");

    // query params
    List<QueryParam> queryParams = [];
    Map<String, String> headerParams = {};
    Map<String, String> formParams = {};
    if(id != null) {
      queryParams.addAll(_convertParametersForCollectionFormat("", "id", id));
    }
    
    List<String> contentTypes = [];

    String contentType = contentTypes.length > 0 ? contentTypes[0] : "application/json";
    List<String> authNames = ["bearerAuth"];

    if(contentType.startsWith("multipart/form-data")) {
      bool hasFields = false;
      MultipartRequest mp = new MultipartRequest(null, null);
      if(hasFields)
        postBody = mp;
    }
    else {
          }

    var response = await apiClient.invokeAPI(path,
                                             'GET',
                                             queryParams,
                                             postBody,
                                             headerParams,
                                             formParams,
                                             contentType,
                                             authNames);

    if(response.statusCode >= 400) {
      throw new ApiException(response.statusCode, response.body);
    } else if(response.body != null) {
      return
        (apiClient.deserialize(response.body, 'List<TransactionInfo>') as List).map((item) => item as TransactionInfo).toList();
    } else {
      return null;
    }
  }
  /// Get favorites
  ///
  /// 
  Future<List<Favs>> favsGet({ String id }) async {
    Object postBody = null;

    // verify required params are set

    // create path and map variables
    String path = "/favs".replaceAll("{format}","json");

    // query params
    List<QueryParam> queryParams = [];
    Map<String, String> headerParams = {};
    Map<String, String> formParams = {};
    if(id != null) {
      queryParams.addAll(_convertParametersForCollectionFormat("", "id", id));
    }
    
    List<String> contentTypes = [];

    String contentType = contentTypes.length > 0 ? contentTypes[0] : "application/json";
    List<String> authNames = ["bearerAuth"];

    if(contentType.startsWith("multipart/form-data")) {
      bool hasFields = false;
      MultipartRequest mp = new MultipartRequest(null, null);
      if(hasFields)
        postBody = mp;
    }
    else {
          }

    var response = await apiClient.invokeAPI(path,
                                             'GET',
                                             queryParams,
                                             postBody,
                                             headerParams,
                                             formParams,
                                             contentType,
                                             authNames);

    if(response.statusCode >= 400) {
      throw new ApiException(response.statusCode, response.body);
    } else if(response.body != null) {
      return
        (apiClient.deserialize(response.body, 'List<Favs>') as List).map((item) => item as Favs).toList();
    } else {
      return null;
    }
  }
  /// Update the fav
  ///
  /// 
  Future<List<TransactionInfo>> favsUpdateGet(String id, { String name, String action, String parameters, int scheduled, String scheduledto }) async {
    Object postBody = null;

    // verify required params are set
    if(id == null) {
     throw new ApiException(400, "Missing required param: id");
    }

    // create path and map variables
    String path = "/favs_update".replaceAll("{format}","json");

    // query params
    List<QueryParam> queryParams = [];
    Map<String, String> headerParams = {};
    Map<String, String> formParams = {};
      queryParams.addAll(_convertParametersForCollectionFormat("", "id", id));
    if(name != null) {
      queryParams.addAll(_convertParametersForCollectionFormat("", "name", name));
    }
    if(action != null) {
      queryParams.addAll(_convertParametersForCollectionFormat("", "action", action));
    }
    if(parameters != null) {
      queryParams.addAll(_convertParametersForCollectionFormat("", "parameters", parameters));
    }
    if(scheduled != null) {
      queryParams.addAll(_convertParametersForCollectionFormat("", "scheduled", scheduled));
    }
    if(scheduledto != null) {
      queryParams.addAll(_convertParametersForCollectionFormat("", "scheduledto", scheduledto));
    }
    
    List<String> contentTypes = [];

    String contentType = contentTypes.length > 0 ? contentTypes[0] : "application/json";
    List<String> authNames = ["bearerAuth"];

    if(contentType.startsWith("multipart/form-data")) {
      bool hasFields = false;
      MultipartRequest mp = new MultipartRequest(null, null);
      if(hasFields)
        postBody = mp;
    }
    else {
          }

    var response = await apiClient.invokeAPI(path,
                                             'GET',
                                             queryParams,
                                             postBody,
                                             headerParams,
                                             formParams,
                                             contentType,
                                             authNames);

    if(response.statusCode >= 400) {
      throw new ApiException(response.statusCode, response.body);
    } else if(response.body != null) {
      return
        (apiClient.deserialize(response.body, 'List<TransactionInfo>') as List).map((item) => item as TransactionInfo).toList();
    } else {
      return null;
    }
  }
}
