part of swagger.api;



class HistoricalApi {
  final ApiClient apiClient;

  HistoricalApi([ApiClient apiClient]) : apiClient = apiClient ?? defaultApiClient;

  /// Get historical stats for categories
  ///
  /// 
  Future<List<Categories>> categoriesGet(String country, { String subcountry, String fromDate, String toDate, String keywordFilter, int lines, int offset }) async {
    Object postBody = null;

    // verify required params are set
    if(country == null) {
     throw new ApiException(400, "Missing required param: country");
    }

    // create path and map variables
    String path = "/categories".replaceAll("{format}","json");

    // query params
    List<QueryParam> queryParams = [];
    Map<String, String> headerParams = {};
    Map<String, String> formParams = {};
      queryParams.addAll(_convertParametersForCollectionFormat("", "country", country));
    if(subcountry != null) {
      queryParams.addAll(_convertParametersForCollectionFormat("", "subcountry", subcountry));
    }
    if(fromDate != null) {
      queryParams.addAll(_convertParametersForCollectionFormat("", "from_date", fromDate));
    }
    if(toDate != null) {
      queryParams.addAll(_convertParametersForCollectionFormat("", "to_date", toDate));
    }
    if(keywordFilter != null) {
      queryParams.addAll(_convertParametersForCollectionFormat("", "keyword_filter", keywordFilter));
    }
    if(lines != null) {
      queryParams.addAll(_convertParametersForCollectionFormat("", "lines", lines));
    }
    if(offset != null) {
      queryParams.addAll(_convertParametersForCollectionFormat("", "offset", offset));
    }
    
    List<String> contentTypes = [];

    String contentType = contentTypes.length > 0 ? contentTypes[0] : "application/json";
    List<String> authNames = ["bearerAuth"];

    if(contentType.startsWith("multipart/form-data")) {
      bool hasFields = false;
      MultipartRequest mp = new MultipartRequest(null, null);
      if(hasFields)
        postBody = mp;
    }
    else {
          }

    var response = await apiClient.invokeAPI(path,
                                             'GET',
                                             queryParams,
                                             postBody,
                                             headerParams,
                                             formParams,
                                             contentType,
                                             authNames);

    if(response.statusCode >= 400) {
      throw new ApiException(response.statusCode, response.body);
    } else if(response.body != null) {
      return
        (apiClient.deserialize(response.body, 'List<Categories>') as List).map((item) => item as Categories).toList();
    } else {
      return null;
    }
  }
  /// Get history for category ID
  ///
  /// 
  Future<List<Category>> categoryGet(String id, String country, { String subcountry, String fromDate, String toDate }) async {
    Object postBody = null;

    // verify required params are set
    if(id == null) {
     throw new ApiException(400, "Missing required param: id");
    }
    if(country == null) {
     throw new ApiException(400, "Missing required param: country");
    }

    // create path and map variables
    String path = "/category".replaceAll("{format}","json");

    // query params
    List<QueryParam> queryParams = [];
    Map<String, String> headerParams = {};
    Map<String, String> formParams = {};
      queryParams.addAll(_convertParametersForCollectionFormat("", "id", id));
      queryParams.addAll(_convertParametersForCollectionFormat("", "country", country));
    if(subcountry != null) {
      queryParams.addAll(_convertParametersForCollectionFormat("", "subcountry", subcountry));
    }
    if(fromDate != null) {
      queryParams.addAll(_convertParametersForCollectionFormat("", "from_date", fromDate));
    }
    if(toDate != null) {
      queryParams.addAll(_convertParametersForCollectionFormat("", "to_date", toDate));
    }
    
    List<String> contentTypes = [];

    String contentType = contentTypes.length > 0 ? contentTypes[0] : "application/json";
    List<String> authNames = ["bearerAuth"];

    if(contentType.startsWith("multipart/form-data")) {
      bool hasFields = false;
      MultipartRequest mp = new MultipartRequest(null, null);
      if(hasFields)
        postBody = mp;
    }
    else {
          }

    var response = await apiClient.invokeAPI(path,
                                             'GET',
                                             queryParams,
                                             postBody,
                                             headerParams,
                                             formParams,
                                             contentType,
                                             authNames);

    if(response.statusCode >= 400) {
      throw new ApiException(response.statusCode, response.body);
    } else if(response.body != null) {
      return
        (apiClient.deserialize(response.body, 'List<Category>') as List).map((item) => item as Category).toList();
    } else {
      return null;
    }
  }
  /// Get history for domain name
  ///
  /// 
  Future<List<Domain>> domainGet(String domain, String country, { String subcountry, String fromDate, String toDate }) async {
    Object postBody = null;

    // verify required params are set
    if(domain == null) {
     throw new ApiException(400, "Missing required param: domain");
    }
    if(country == null) {
     throw new ApiException(400, "Missing required param: country");
    }

    // create path and map variables
    String path = "/domain".replaceAll("{format}","json");

    // query params
    List<QueryParam> queryParams = [];
    Map<String, String> headerParams = {};
    Map<String, String> formParams = {};
      queryParams.addAll(_convertParametersForCollectionFormat("", "domain", domain));
      queryParams.addAll(_convertParametersForCollectionFormat("", "country", country));
    if(subcountry != null) {
      queryParams.addAll(_convertParametersForCollectionFormat("", "subcountry", subcountry));
    }
    if(fromDate != null) {
      queryParams.addAll(_convertParametersForCollectionFormat("", "from_date", fromDate));
    }
    if(toDate != null) {
      queryParams.addAll(_convertParametersForCollectionFormat("", "to_date", toDate));
    }
    
    List<String> contentTypes = [];

    String contentType = contentTypes.length > 0 ? contentTypes[0] : "application/json";
    List<String> authNames = ["bearerAuth"];

    if(contentType.startsWith("multipart/form-data")) {
      bool hasFields = false;
      MultipartRequest mp = new MultipartRequest(null, null);
      if(hasFields)
        postBody = mp;
    }
    else {
          }

    var response = await apiClient.invokeAPI(path,
                                             'GET',
                                             queryParams,
                                             postBody,
                                             headerParams,
                                             formParams,
                                             contentType,
                                             authNames);

    if(response.statusCode >= 400) {
      throw new ApiException(response.statusCode, response.body);
    } else if(response.body != null) {
      return
        (apiClient.deserialize(response.body, 'List<Domain>') as List).map((item) => item as Domain).toList();
    } else {
      return null;
    }
  }
  /// Get historical stats for domains
  ///
  /// 
  Future<List<Domains>> domainsGet(String country, { String subcountry, String fromDate, String toDate, String urlFilter, int lines, int offset }) async {
    Object postBody = null;

    // verify required params are set
    if(country == null) {
     throw new ApiException(400, "Missing required param: country");
    }

    // create path and map variables
    String path = "/domains".replaceAll("{format}","json");

    // query params
    List<QueryParam> queryParams = [];
    Map<String, String> headerParams = {};
    Map<String, String> formParams = {};
      queryParams.addAll(_convertParametersForCollectionFormat("", "country", country));
    if(subcountry != null) {
      queryParams.addAll(_convertParametersForCollectionFormat("", "subcountry", subcountry));
    }
    if(fromDate != null) {
      queryParams.addAll(_convertParametersForCollectionFormat("", "from_date", fromDate));
    }
    if(toDate != null) {
      queryParams.addAll(_convertParametersForCollectionFormat("", "to_date", toDate));
    }
    if(urlFilter != null) {
      queryParams.addAll(_convertParametersForCollectionFormat("", "url_filter", urlFilter));
    }
    if(lines != null) {
      queryParams.addAll(_convertParametersForCollectionFormat("", "lines", lines));
    }
    if(offset != null) {
      queryParams.addAll(_convertParametersForCollectionFormat("", "offset", offset));
    }
    
    List<String> contentTypes = [];

    String contentType = contentTypes.length > 0 ? contentTypes[0] : "application/json";
    List<String> authNames = ["bearerAuth"];

    if(contentType.startsWith("multipart/form-data")) {
      bool hasFields = false;
      MultipartRequest mp = new MultipartRequest(null, null);
      if(hasFields)
        postBody = mp;
    }
    else {
          }

    var response = await apiClient.invokeAPI(path,
                                             'GET',
                                             queryParams,
                                             postBody,
                                             headerParams,
                                             formParams,
                                             contentType,
                                             authNames);

    if(response.statusCode >= 400) {
      throw new ApiException(response.statusCode, response.body);
    } else if(response.body != null) {
      return
        (apiClient.deserialize(response.body, 'List<Domains>') as List).map((item) => item as Domains).toList();
    } else {
      return null;
    }
  }
  /// Get historical stats for entities
  ///
  /// 
  Future<List<Entities>> entitiesGet(String country, { String subcountry, String fromDate, String toDate, String keywordFilter, int lines, int offset }) async {
    Object postBody = null;

    // verify required params are set
    if(country == null) {
     throw new ApiException(400, "Missing required param: country");
    }

    // create path and map variables
    String path = "/entities".replaceAll("{format}","json");

    // query params
    List<QueryParam> queryParams = [];
    Map<String, String> headerParams = {};
    Map<String, String> formParams = {};
      queryParams.addAll(_convertParametersForCollectionFormat("", "country", country));
    if(subcountry != null) {
      queryParams.addAll(_convertParametersForCollectionFormat("", "subcountry", subcountry));
    }
    if(fromDate != null) {
      queryParams.addAll(_convertParametersForCollectionFormat("", "from_date", fromDate));
    }
    if(toDate != null) {
      queryParams.addAll(_convertParametersForCollectionFormat("", "to_date", toDate));
    }
    if(keywordFilter != null) {
      queryParams.addAll(_convertParametersForCollectionFormat("", "keyword_filter", keywordFilter));
    }
    if(lines != null) {
      queryParams.addAll(_convertParametersForCollectionFormat("", "lines", lines));
    }
    if(offset != null) {
      queryParams.addAll(_convertParametersForCollectionFormat("", "offset", offset));
    }
    
    List<String> contentTypes = [];

    String contentType = contentTypes.length > 0 ? contentTypes[0] : "application/json";
    List<String> authNames = ["bearerAuth"];

    if(contentType.startsWith("multipart/form-data")) {
      bool hasFields = false;
      MultipartRequest mp = new MultipartRequest(null, null);
      if(hasFields)
        postBody = mp;
    }
    else {
          }

    var response = await apiClient.invokeAPI(path,
                                             'GET',
                                             queryParams,
                                             postBody,
                                             headerParams,
                                             formParams,
                                             contentType,
                                             authNames);

    if(response.statusCode >= 400) {
      throw new ApiException(response.statusCode, response.body);
    } else if(response.body != null) {
      return
        (apiClient.deserialize(response.body, 'List<Entities>') as List).map((item) => item as Entities).toList();
    } else {
      return null;
    }
  }
  /// Get history for entity
  ///
  /// 
  Future<List<Entity>> entityGet(String name, String country, { String subcountry, String fromDate, String toDate }) async {
    Object postBody = null;

    // verify required params are set
    if(name == null) {
     throw new ApiException(400, "Missing required param: name");
    }
    if(country == null) {
     throw new ApiException(400, "Missing required param: country");
    }

    // create path and map variables
    String path = "/entity".replaceAll("{format}","json");

    // query params
    List<QueryParam> queryParams = [];
    Map<String, String> headerParams = {};
    Map<String, String> formParams = {};
      queryParams.addAll(_convertParametersForCollectionFormat("", "name", name));
      queryParams.addAll(_convertParametersForCollectionFormat("", "country", country));
    if(subcountry != null) {
      queryParams.addAll(_convertParametersForCollectionFormat("", "subcountry", subcountry));
    }
    if(fromDate != null) {
      queryParams.addAll(_convertParametersForCollectionFormat("", "from_date", fromDate));
    }
    if(toDate != null) {
      queryParams.addAll(_convertParametersForCollectionFormat("", "to_date", toDate));
    }
    
    List<String> contentTypes = [];

    String contentType = contentTypes.length > 0 ? contentTypes[0] : "application/json";
    List<String> authNames = ["bearerAuth"];

    if(contentType.startsWith("multipart/form-data")) {
      bool hasFields = false;
      MultipartRequest mp = new MultipartRequest(null, null);
      if(hasFields)
        postBody = mp;
    }
    else {
          }

    var response = await apiClient.invokeAPI(path,
                                             'GET',
                                             queryParams,
                                             postBody,
                                             headerParams,
                                             formParams,
                                             contentType,
                                             authNames);

    if(response.statusCode >= 400) {
      throw new ApiException(response.statusCode, response.body);
    } else if(response.body != null) {
      return
        (apiClient.deserialize(response.body, 'List<Entity>') as List).map((item) => item as Entity).toList();
    } else {
      return null;
    }
  }
  /// Get page history for URL
  ///
  /// 
  Future<List<Page>> pageGet(String url, String country, { String subcountry, String fromDate, String toDate }) async {
    Object postBody = null;

    // verify required params are set
    if(url == null) {
     throw new ApiException(400, "Missing required param: url");
    }
    if(country == null) {
     throw new ApiException(400, "Missing required param: country");
    }

    // create path and map variables
    String path = "/page".replaceAll("{format}","json");

    // query params
    List<QueryParam> queryParams = [];
    Map<String, String> headerParams = {};
    Map<String, String> formParams = {};
      queryParams.addAll(_convertParametersForCollectionFormat("", "url", url));
      queryParams.addAll(_convertParametersForCollectionFormat("", "country", country));
    if(subcountry != null) {
      queryParams.addAll(_convertParametersForCollectionFormat("", "subcountry", subcountry));
    }
    if(fromDate != null) {
      queryParams.addAll(_convertParametersForCollectionFormat("", "from_date", fromDate));
    }
    if(toDate != null) {
      queryParams.addAll(_convertParametersForCollectionFormat("", "to_date", toDate));
    }
    
    List<String> contentTypes = [];

    String contentType = contentTypes.length > 0 ? contentTypes[0] : "application/json";
    List<String> authNames = ["bearerAuth"];

    if(contentType.startsWith("multipart/form-data")) {
      bool hasFields = false;
      MultipartRequest mp = new MultipartRequest(null, null);
      if(hasFields)
        postBody = mp;
    }
    else {
          }

    var response = await apiClient.invokeAPI(path,
                                             'GET',
                                             queryParams,
                                             postBody,
                                             headerParams,
                                             formParams,
                                             contentType,
                                             authNames);

    if(response.statusCode >= 400) {
      throw new ApiException(response.statusCode, response.body);
    } else if(response.body != null) {
      return
        (apiClient.deserialize(response.body, 'List<Page>') as List).map((item) => item as Page).toList();
    } else {
      return null;
    }
  }
  /// Get historical stats for pages
  ///
  /// 
  Future<List<Pages>> pagesGet({ String fromDate, String toDate, String country, String subcountry, int presetFilter, String domainFilter, String keywordFilter, String entityFilter, String urlFilter, int categoryFilter, String languageFilter, int lines, int offset }) async {
    Object postBody = null;

    // verify required params are set

    // create path and map variables
    String path = "/pages".replaceAll("{format}","json");

    // query params
    List<QueryParam> queryParams = [];
    Map<String, String> headerParams = {};
    Map<String, String> formParams = {};
    if(fromDate != null) {
      queryParams.addAll(_convertParametersForCollectionFormat("", "from_date", fromDate));
    }
    if(toDate != null) {
      queryParams.addAll(_convertParametersForCollectionFormat("", "to_date", toDate));
    }
    if(country != null) {
      queryParams.addAll(_convertParametersForCollectionFormat("", "country", country));
    }
    if(subcountry != null) {
      queryParams.addAll(_convertParametersForCollectionFormat("", "subcountry", subcountry));
    }
    if(presetFilter != null) {
      queryParams.addAll(_convertParametersForCollectionFormat("", "preset_filter", presetFilter));
    }
    if(domainFilter != null) {
      queryParams.addAll(_convertParametersForCollectionFormat("", "domain_filter", domainFilter));
    }
    if(keywordFilter != null) {
      queryParams.addAll(_convertParametersForCollectionFormat("", "keyword_filter", keywordFilter));
    }
    if(entityFilter != null) {
      queryParams.addAll(_convertParametersForCollectionFormat("", "entity_filter", entityFilter));
    }
    if(urlFilter != null) {
      queryParams.addAll(_convertParametersForCollectionFormat("", "url_filter", urlFilter));
    }
    if(categoryFilter != null) {
      queryParams.addAll(_convertParametersForCollectionFormat("", "category_filter", categoryFilter));
    }
    if(languageFilter != null) {
      queryParams.addAll(_convertParametersForCollectionFormat("", "language_filter", languageFilter));
    }
    if(lines != null) {
      queryParams.addAll(_convertParametersForCollectionFormat("", "lines", lines));
    }
    if(offset != null) {
      queryParams.addAll(_convertParametersForCollectionFormat("", "offset", offset));
    }
    
    List<String> contentTypes = [];

    String contentType = contentTypes.length > 0 ? contentTypes[0] : "application/json";
    List<String> authNames = ["bearerAuth"];

    if(contentType.startsWith("multipart/form-data")) {
      bool hasFields = false;
      MultipartRequest mp = new MultipartRequest(null, null);
      if(hasFields)
        postBody = mp;
    }
    else {
          }

    var response = await apiClient.invokeAPI(path,
                                             'GET',
                                             queryParams,
                                             postBody,
                                             headerParams,
                                             formParams,
                                             contentType,
                                             authNames);

    if(response.statusCode >= 400) {
      throw new ApiException(response.statusCode, response.body);
    } else if(response.body != null) {
      return
        (apiClient.deserialize(response.body, 'List<Pages>') as List).map((item) => item as Pages).toList();
    } else {
      return null;
    }
  }
}
