part of swagger.api;



class LiveApi {
  final ApiClient apiClient;

  LiveApi([ApiClient apiClient]) : apiClient = apiClient ?? defaultApiClient;

  /// Get livedata stats for categories
  ///
  /// 
  Future<List<Categories>> livecategoriesGet(String country, { String subcountry, int hours, String keywordFilter, String languageFilter, int lines, int offset }) async {
    Object postBody = null;

    // verify required params are set
    if(country == null) {
     throw new ApiException(400, "Missing required param: country");
    }

    // create path and map variables
    String path = "/livecategories".replaceAll("{format}","json");

    // query params
    List<QueryParam> queryParams = [];
    Map<String, String> headerParams = {};
    Map<String, String> formParams = {};
      queryParams.addAll(_convertParametersForCollectionFormat("", "country", country));
    if(subcountry != null) {
      queryParams.addAll(_convertParametersForCollectionFormat("", "subcountry", subcountry));
    }
    if(hours != null) {
      queryParams.addAll(_convertParametersForCollectionFormat("", "hours", hours));
    }
    if(keywordFilter != null) {
      queryParams.addAll(_convertParametersForCollectionFormat("", "keyword_filter", keywordFilter));
    }
    if(languageFilter != null) {
      queryParams.addAll(_convertParametersForCollectionFormat("", "language_filter", languageFilter));
    }
    if(lines != null) {
      queryParams.addAll(_convertParametersForCollectionFormat("", "lines", lines));
    }
    if(offset != null) {
      queryParams.addAll(_convertParametersForCollectionFormat("", "offset", offset));
    }
    
    List<String> contentTypes = [];

    String contentType = contentTypes.length > 0 ? contentTypes[0] : "application/json";
    List<String> authNames = ["bearerAuth"];

    if(contentType.startsWith("multipart/form-data")) {
      bool hasFields = false;
      MultipartRequest mp = new MultipartRequest(null, null);
      if(hasFields)
        postBody = mp;
    }
    else {
          }

    var response = await apiClient.invokeAPI(path,
                                             'GET',
                                             queryParams,
                                             postBody,
                                             headerParams,
                                             formParams,
                                             contentType,
                                             authNames);

    if(response.statusCode >= 400) {
      throw new ApiException(response.statusCode, response.body);
    } else if(response.body != null) {
      return
        (apiClient.deserialize(response.body, 'List<Categories>') as List).map((item) => item as Categories).toList();
    } else {
      return null;
    }
  }
  /// Get livedata stats for domains
  ///
  /// 
  Future<List<Domains>> livedomainsGet(String country, { String subcountry, String urlFilter, int hours, int lines, String languageFilter, int offset }) async {
    Object postBody = null;

    // verify required params are set
    if(country == null) {
     throw new ApiException(400, "Missing required param: country");
    }

    // create path and map variables
    String path = "/livedomains".replaceAll("{format}","json");

    // query params
    List<QueryParam> queryParams = [];
    Map<String, String> headerParams = {};
    Map<String, String> formParams = {};
      queryParams.addAll(_convertParametersForCollectionFormat("", "country", country));
    if(subcountry != null) {
      queryParams.addAll(_convertParametersForCollectionFormat("", "subcountry", subcountry));
    }
    if(urlFilter != null) {
      queryParams.addAll(_convertParametersForCollectionFormat("", "url_filter", urlFilter));
    }
    if(hours != null) {
      queryParams.addAll(_convertParametersForCollectionFormat("", "hours", hours));
    }
    if(lines != null) {
      queryParams.addAll(_convertParametersForCollectionFormat("", "lines", lines));
    }
    if(languageFilter != null) {
      queryParams.addAll(_convertParametersForCollectionFormat("", "language_filter", languageFilter));
    }
    if(offset != null) {
      queryParams.addAll(_convertParametersForCollectionFormat("", "offset", offset));
    }
    
    List<String> contentTypes = [];

    String contentType = contentTypes.length > 0 ? contentTypes[0] : "application/json";
    List<String> authNames = ["bearerAuth"];

    if(contentType.startsWith("multipart/form-data")) {
      bool hasFields = false;
      MultipartRequest mp = new MultipartRequest(null, null);
      if(hasFields)
        postBody = mp;
    }
    else {
          }

    var response = await apiClient.invokeAPI(path,
                                             'GET',
                                             queryParams,
                                             postBody,
                                             headerParams,
                                             formParams,
                                             contentType,
                                             authNames);

    if(response.statusCode >= 400) {
      throw new ApiException(response.statusCode, response.body);
    } else if(response.body != null) {
      return
        (apiClient.deserialize(response.body, 'List<Domains>') as List).map((item) => item as Domains).toList();
    } else {
      return null;
    }
  }
  /// Get livedata stats for entities
  ///
  /// 
  Future<List<Entities>> liveentitiesGet(String country, { String subcountry, int hours, String keywordFilter, int categoryFilter, String languageFilter, String domainFilter, int lines, int offset }) async {
    Object postBody = null;

    // verify required params are set
    if(country == null) {
     throw new ApiException(400, "Missing required param: country");
    }

    // create path and map variables
    String path = "/liveentities".replaceAll("{format}","json");

    // query params
    List<QueryParam> queryParams = [];
    Map<String, String> headerParams = {};
    Map<String, String> formParams = {};
      queryParams.addAll(_convertParametersForCollectionFormat("", "country", country));
    if(subcountry != null) {
      queryParams.addAll(_convertParametersForCollectionFormat("", "subcountry", subcountry));
    }
    if(hours != null) {
      queryParams.addAll(_convertParametersForCollectionFormat("", "hours", hours));
    }
    if(keywordFilter != null) {
      queryParams.addAll(_convertParametersForCollectionFormat("", "keyword_filter", keywordFilter));
    }
    if(categoryFilter != null) {
      queryParams.addAll(_convertParametersForCollectionFormat("", "category_filter", categoryFilter));
    }
    if(languageFilter != null) {
      queryParams.addAll(_convertParametersForCollectionFormat("", "language_filter", languageFilter));
    }
    if(domainFilter != null) {
      queryParams.addAll(_convertParametersForCollectionFormat("", "domain_filter", domainFilter));
    }
    if(lines != null) {
      queryParams.addAll(_convertParametersForCollectionFormat("", "lines", lines));
    }
    if(offset != null) {
      queryParams.addAll(_convertParametersForCollectionFormat("", "offset", offset));
    }
    
    List<String> contentTypes = [];

    String contentType = contentTypes.length > 0 ? contentTypes[0] : "application/json";
    List<String> authNames = ["bearerAuth"];

    if(contentType.startsWith("multipart/form-data")) {
      bool hasFields = false;
      MultipartRequest mp = new MultipartRequest(null, null);
      if(hasFields)
        postBody = mp;
    }
    else {
          }

    var response = await apiClient.invokeAPI(path,
                                             'GET',
                                             queryParams,
                                             postBody,
                                             headerParams,
                                             formParams,
                                             contentType,
                                             authNames);

    if(response.statusCode >= 400) {
      throw new ApiException(response.statusCode, response.body);
    } else if(response.body != null) {
      return
        (apiClient.deserialize(response.body, 'List<Entities>') as List).map((item) => item as Entities).toList();
    } else {
      return null;
    }
  }
  /// Get livedata stats for pages
  ///
  /// 
  Future<List<Pages>> livepagesGet(String country, { String subcountry, int hours, int presetFilter, int onlyNew, String domainFilter, String keywordFilter, String entityFilter, String urlFilter, int categoryFilter, String languageFilter, int lines, int offset }) async {
    Object postBody = null;

    // verify required params are set
    if(country == null) {
     throw new ApiException(400, "Missing required param: country");
    }

    // create path and map variables
    String path = "/livepages".replaceAll("{format}","json");

    // query params
    List<QueryParam> queryParams = [];
    Map<String, String> headerParams = {};
    Map<String, String> formParams = {};
      queryParams.addAll(_convertParametersForCollectionFormat("", "country", country));
    if(subcountry != null) {
      queryParams.addAll(_convertParametersForCollectionFormat("", "subcountry", subcountry));
    }
    if(hours != null) {
      queryParams.addAll(_convertParametersForCollectionFormat("", "hours", hours));
    }
    if(presetFilter != null) {
      queryParams.addAll(_convertParametersForCollectionFormat("", "preset_filter", presetFilter));
    }
    if(onlyNew != null) {
      queryParams.addAll(_convertParametersForCollectionFormat("", "only_new", onlyNew));
    }
    if(domainFilter != null) {
      queryParams.addAll(_convertParametersForCollectionFormat("", "domain_filter", domainFilter));
    }
    if(keywordFilter != null) {
      queryParams.addAll(_convertParametersForCollectionFormat("", "keyword_filter", keywordFilter));
    }
    if(entityFilter != null) {
      queryParams.addAll(_convertParametersForCollectionFormat("", "entity_filter", entityFilter));
    }
    if(urlFilter != null) {
      queryParams.addAll(_convertParametersForCollectionFormat("", "url_filter", urlFilter));
    }
    if(categoryFilter != null) {
      queryParams.addAll(_convertParametersForCollectionFormat("", "category_filter", categoryFilter));
    }
    if(languageFilter != null) {
      queryParams.addAll(_convertParametersForCollectionFormat("", "language_filter", languageFilter));
    }
    if(lines != null) {
      queryParams.addAll(_convertParametersForCollectionFormat("", "lines", lines));
    }
    if(offset != null) {
      queryParams.addAll(_convertParametersForCollectionFormat("", "offset", offset));
    }
    
    List<String> contentTypes = [];

    String contentType = contentTypes.length > 0 ? contentTypes[0] : "application/json";
    List<String> authNames = ["bearerAuth"];

    if(contentType.startsWith("multipart/form-data")) {
      bool hasFields = false;
      MultipartRequest mp = new MultipartRequest(null, null);
      if(hasFields)
        postBody = mp;
    }
    else {
          }

    var response = await apiClient.invokeAPI(path,
                                             'GET',
                                             queryParams,
                                             postBody,
                                             headerParams,
                                             formParams,
                                             contentType,
                                             authNames);

    if(response.statusCode >= 400) {
      throw new ApiException(response.statusCode, response.body);
    } else if(response.body != null) {
      return
        (apiClient.deserialize(response.body, 'List<Pages>') as List).map((item) => item as Pages).toList();
    } else {
      return null;
    }
  }
}
