part of swagger.api;



class UserApi {
  final ApiClient apiClient;

  UserApi([ApiClient apiClient]) : apiClient = apiClient ?? defaultApiClient;

  /// Change user&#x27;s activated countries
  ///
  /// 
  Future<List<TransactionInfo>> userCountriesChangeGet(String countries, String categories) async {
    Object postBody = null;

    // verify required params are set
    if(countries == null) {
     throw new ApiException(400, "Missing required param: countries");
    }
    if(categories == null) {
     throw new ApiException(400, "Missing required param: categories");
    }

    // create path and map variables
    String path = "/user_countries_change".replaceAll("{format}","json");

    // query params
    List<QueryParam> queryParams = [];
    Map<String, String> headerParams = {};
    Map<String, String> formParams = {};
      queryParams.addAll(_convertParametersForCollectionFormat("", "countries", countries));
      queryParams.addAll(_convertParametersForCollectionFormat("", "categories", categories));
    
    List<String> contentTypes = [];

    String contentType = contentTypes.length > 0 ? contentTypes[0] : "application/json";
    List<String> authNames = ["bearerAuth"];

    if(contentType.startsWith("multipart/form-data")) {
      bool hasFields = false;
      MultipartRequest mp = new MultipartRequest(null, null);
      if(hasFields)
        postBody = mp;
    }
    else {
          }

    var response = await apiClient.invokeAPI(path,
                                             'GET',
                                             queryParams,
                                             postBody,
                                             headerParams,
                                             formParams,
                                             contentType,
                                             authNames);

    if(response.statusCode >= 400) {
      throw new ApiException(response.statusCode, response.body);
    } else if(response.body != null) {
      return
        (apiClient.deserialize(response.body, 'List<TransactionInfo>') as List).map((item) => item as TransactionInfo).toList();
    } else {
      return null;
    }
  }
  /// Change user customer id. This function is system reserved
  ///
  /// 
  Future<List<TransactionInfo>> userCustidChangeGet(String custid) async {
    Object postBody = null;

    // verify required params are set
    if(custid == null) {
     throw new ApiException(400, "Missing required param: custid");
    }

    // create path and map variables
    String path = "/user_custid_change".replaceAll("{format}","json");

    // query params
    List<QueryParam> queryParams = [];
    Map<String, String> headerParams = {};
    Map<String, String> formParams = {};
      queryParams.addAll(_convertParametersForCollectionFormat("", "custid", custid));
    
    List<String> contentTypes = [];

    String contentType = contentTypes.length > 0 ? contentTypes[0] : "application/json";
    List<String> authNames = ["bearerAuth"];

    if(contentType.startsWith("multipart/form-data")) {
      bool hasFields = false;
      MultipartRequest mp = new MultipartRequest(null, null);
      if(hasFields)
        postBody = mp;
    }
    else {
          }

    var response = await apiClient.invokeAPI(path,
                                             'GET',
                                             queryParams,
                                             postBody,
                                             headerParams,
                                             formParams,
                                             contentType,
                                             authNames);

    if(response.statusCode >= 400) {
      throw new ApiException(response.statusCode, response.body);
    } else if(response.body != null) {
      return
        (apiClient.deserialize(response.body, 'List<TransactionInfo>') as List).map((item) => item as TransactionInfo).toList();
    } else {
      return null;
    }
  }
  /// Permanently delete the user
  ///
  /// 
  Future<List<TransactionInfo>> userDeleteGet() async {
    Object postBody = null;

    // verify required params are set

    // create path and map variables
    String path = "/user_delete".replaceAll("{format}","json");

    // query params
    List<QueryParam> queryParams = [];
    Map<String, String> headerParams = {};
    Map<String, String> formParams = {};
    
    List<String> contentTypes = [];

    String contentType = contentTypes.length > 0 ? contentTypes[0] : "application/json";
    List<String> authNames = ["bearerAuth"];

    if(contentType.startsWith("multipart/form-data")) {
      bool hasFields = false;
      MultipartRequest mp = new MultipartRequest(null, null);
      if(hasFields)
        postBody = mp;
    }
    else {
          }

    var response = await apiClient.invokeAPI(path,
                                             'GET',
                                             queryParams,
                                             postBody,
                                             headerParams,
                                             formParams,
                                             contentType,
                                             authNames);

    if(response.statusCode >= 400) {
      throw new ApiException(response.statusCode, response.body);
    } else if(response.body != null) {
      return
        (apiClient.deserialize(response.body, 'List<TransactionInfo>') as List).map((item) => item as TransactionInfo).toList();
    } else {
      return null;
    }
  }
  /// Change user details
  ///
  /// 
  Future<List<TransactionInfo>> userDetailsChangeGet(String email, String fname, String lname, { String translation }) async {
    Object postBody = null;

    // verify required params are set
    if(email == null) {
     throw new ApiException(400, "Missing required param: email");
    }
    if(fname == null) {
     throw new ApiException(400, "Missing required param: fname");
    }
    if(lname == null) {
     throw new ApiException(400, "Missing required param: lname");
    }

    // create path and map variables
    String path = "/user_details_change".replaceAll("{format}","json");

    // query params
    List<QueryParam> queryParams = [];
    Map<String, String> headerParams = {};
    Map<String, String> formParams = {};
      queryParams.addAll(_convertParametersForCollectionFormat("", "email", email));
      queryParams.addAll(_convertParametersForCollectionFormat("", "fname", fname));
      queryParams.addAll(_convertParametersForCollectionFormat("", "lname", lname));
    if(translation != null) {
      queryParams.addAll(_convertParametersForCollectionFormat("", "translation", translation));
    }
    
    List<String> contentTypes = [];

    String contentType = contentTypes.length > 0 ? contentTypes[0] : "application/json";
    List<String> authNames = ["bearerAuth"];

    if(contentType.startsWith("multipart/form-data")) {
      bool hasFields = false;
      MultipartRequest mp = new MultipartRequest(null, null);
      if(hasFields)
        postBody = mp;
    }
    else {
          }

    var response = await apiClient.invokeAPI(path,
                                             'GET',
                                             queryParams,
                                             postBody,
                                             headerParams,
                                             formParams,
                                             contentType,
                                             authNames);

    if(response.statusCode >= 400) {
      throw new ApiException(response.statusCode, response.body);
    } else if(response.body != null) {
      return
        (apiClient.deserialize(response.body, 'List<TransactionInfo>') as List).map((item) => item as TransactionInfo).toList();
    } else {
      return null;
    }
  }
  /// Login user with his credentials
  ///
  /// 
  Future<List<UserInfo>> userLoginGet(String email, String password, { int pin }) async {
    Object postBody = null;

    // verify required params are set
    if(email == null) {
     throw new ApiException(400, "Missing required param: email");
    }
    if(password == null) {
     throw new ApiException(400, "Missing required param: password");
    }

    // create path and map variables
    String path = "/user_login".replaceAll("{format}","json");

    // query params
    List<QueryParam> queryParams = [];
    Map<String, String> headerParams = {};
    Map<String, String> formParams = {};
      queryParams.addAll(_convertParametersForCollectionFormat("", "email", email));
      queryParams.addAll(_convertParametersForCollectionFormat("", "password", password));
    if(pin != null) {
      queryParams.addAll(_convertParametersForCollectionFormat("", "pin", pin));
    }
    
    List<String> contentTypes = [];

    String contentType = contentTypes.length > 0 ? contentTypes[0] : "application/json";
    List<String> authNames = ["bearerAuth"];

    if(contentType.startsWith("multipart/form-data")) {
      bool hasFields = false;
      MultipartRequest mp = new MultipartRequest(null, null);
      if(hasFields)
        postBody = mp;
    }
    else {
          }

    var response = await apiClient.invokeAPI(path,
                                             'GET',
                                             queryParams,
                                             postBody,
                                             headerParams,
                                             formParams,
                                             contentType,
                                             authNames);

    if(response.statusCode >= 400) {
      throw new ApiException(response.statusCode, response.body);
    } else if(response.body != null) {
      return
        (apiClient.deserialize(response.body, 'List<UserInfo>') as List).map((item) => item as UserInfo).toList();
    } else {
      return null;
    }
  }
  /// Get messages for user
  ///
  /// 
  Future<List<Message>> userMessagesGet({ int message }) async {
    Object postBody = null;

    // verify required params are set

    // create path and map variables
    String path = "/user_messages".replaceAll("{format}","json");

    // query params
    List<QueryParam> queryParams = [];
    Map<String, String> headerParams = {};
    Map<String, String> formParams = {};
    if(message != null) {
      queryParams.addAll(_convertParametersForCollectionFormat("", "message", message));
    }
    
    List<String> contentTypes = [];

    String contentType = contentTypes.length > 0 ? contentTypes[0] : "application/json";
    List<String> authNames = ["bearerAuth"];

    if(contentType.startsWith("multipart/form-data")) {
      bool hasFields = false;
      MultipartRequest mp = new MultipartRequest(null, null);
      if(hasFields)
        postBody = mp;
    }
    else {
          }

    var response = await apiClient.invokeAPI(path,
                                             'GET',
                                             queryParams,
                                             postBody,
                                             headerParams,
                                             formParams,
                                             contentType,
                                             authNames);

    if(response.statusCode >= 400) {
      throw new ApiException(response.statusCode, response.body);
    } else if(response.body != null) {
      return
        (apiClient.deserialize(response.body, 'List<Message>') as List).map((item) => item as Message).toList();
    } else {
      return null;
    }
  }
  /// Change user password
  ///
  /// 
  Future<List<TransactionInfo>> userPasswordChangeGet(String email, String password, String newpassword) async {
    Object postBody = null;

    // verify required params are set
    if(email == null) {
     throw new ApiException(400, "Missing required param: email");
    }
    if(password == null) {
     throw new ApiException(400, "Missing required param: password");
    }
    if(newpassword == null) {
     throw new ApiException(400, "Missing required param: newpassword");
    }

    // create path and map variables
    String path = "/user_password_change".replaceAll("{format}","json");

    // query params
    List<QueryParam> queryParams = [];
    Map<String, String> headerParams = {};
    Map<String, String> formParams = {};
      queryParams.addAll(_convertParametersForCollectionFormat("", "email", email));
      queryParams.addAll(_convertParametersForCollectionFormat("", "password", password));
      queryParams.addAll(_convertParametersForCollectionFormat("", "newpassword", newpassword));
    
    List<String> contentTypes = [];

    String contentType = contentTypes.length > 0 ? contentTypes[0] : "application/json";
    List<String> authNames = ["bearerAuth"];

    if(contentType.startsWith("multipart/form-data")) {
      bool hasFields = false;
      MultipartRequest mp = new MultipartRequest(null, null);
      if(hasFields)
        postBody = mp;
    }
    else {
          }

    var response = await apiClient.invokeAPI(path,
                                             'GET',
                                             queryParams,
                                             postBody,
                                             headerParams,
                                             formParams,
                                             contentType,
                                             authNames);

    if(response.statusCode >= 400) {
      throw new ApiException(response.statusCode, response.body);
    } else if(response.body != null) {
      return
        (apiClient.deserialize(response.body, 'List<TransactionInfo>') as List).map((item) => item as TransactionInfo).toList();
    } else {
      return null;
    }
  }
  /// Reset user password
  ///
  /// 
  Future<List<TransactionInfo>> userPasswordResetGet(String email) async {
    Object postBody = null;

    // verify required params are set
    if(email == null) {
     throw new ApiException(400, "Missing required param: email");
    }

    // create path and map variables
    String path = "/user_password_reset".replaceAll("{format}","json");

    // query params
    List<QueryParam> queryParams = [];
    Map<String, String> headerParams = {};
    Map<String, String> formParams = {};
      queryParams.addAll(_convertParametersForCollectionFormat("", "email", email));
    
    List<String> contentTypes = [];

    String contentType = contentTypes.length > 0 ? contentTypes[0] : "application/json";
    List<String> authNames = ["bearerAuth"];

    if(contentType.startsWith("multipart/form-data")) {
      bool hasFields = false;
      MultipartRequest mp = new MultipartRequest(null, null);
      if(hasFields)
        postBody = mp;
    }
    else {
          }

    var response = await apiClient.invokeAPI(path,
                                             'GET',
                                             queryParams,
                                             postBody,
                                             headerParams,
                                             formParams,
                                             contentType,
                                             authNames);

    if(response.statusCode >= 400) {
      throw new ApiException(response.statusCode, response.body);
    } else if(response.body != null) {
      return
        (apiClient.deserialize(response.body, 'List<TransactionInfo>') as List).map((item) => item as TransactionInfo).toList();
    } else {
      return null;
    }
  }
  /// Refresh user rights with his Customer ID. This function is system reserved
  ///
  /// 
  Future<List<UserInfo>> userRefreshSubscriptionGet(String custid) async {
    Object postBody = null;

    // verify required params are set
    if(custid == null) {
     throw new ApiException(400, "Missing required param: custid");
    }

    // create path and map variables
    String path = "/user_refresh_subscription".replaceAll("{format}","json");

    // query params
    List<QueryParam> queryParams = [];
    Map<String, String> headerParams = {};
    Map<String, String> formParams = {};
      queryParams.addAll(_convertParametersForCollectionFormat("", "custid", custid));
    
    List<String> contentTypes = [];

    String contentType = contentTypes.length > 0 ? contentTypes[0] : "application/json";
    List<String> authNames = ["bearerAuth"];

    if(contentType.startsWith("multipart/form-data")) {
      bool hasFields = false;
      MultipartRequest mp = new MultipartRequest(null, null);
      if(hasFields)
        postBody = mp;
    }
    else {
          }

    var response = await apiClient.invokeAPI(path,
                                             'GET',
                                             queryParams,
                                             postBody,
                                             headerParams,
                                             formParams,
                                             contentType,
                                             authNames);

    if(response.statusCode >= 400) {
      throw new ApiException(response.statusCode, response.body);
    } else if(response.body != null) {
      return
        (apiClient.deserialize(response.body, 'List<UserInfo>') as List).map((item) => item as UserInfo).toList();
    } else {
      return null;
    }
  }
  /// Login user with his credentials
  ///
  /// 
  Future<List<UserInfo>> userRegisterGet(String email, String password, String fname, String lname, { String referrer }) async {
    Object postBody = null;

    // verify required params are set
    if(email == null) {
     throw new ApiException(400, "Missing required param: email");
    }
    if(password == null) {
     throw new ApiException(400, "Missing required param: password");
    }
    if(fname == null) {
     throw new ApiException(400, "Missing required param: fname");
    }
    if(lname == null) {
     throw new ApiException(400, "Missing required param: lname");
    }

    // create path and map variables
    String path = "/user_register".replaceAll("{format}","json");

    // query params
    List<QueryParam> queryParams = [];
    Map<String, String> headerParams = {};
    Map<String, String> formParams = {};
      queryParams.addAll(_convertParametersForCollectionFormat("", "email", email));
      queryParams.addAll(_convertParametersForCollectionFormat("", "password", password));
      queryParams.addAll(_convertParametersForCollectionFormat("", "fname", fname));
      queryParams.addAll(_convertParametersForCollectionFormat("", "lname", lname));
    if(referrer != null) {
      queryParams.addAll(_convertParametersForCollectionFormat("", "referrer", referrer));
    }
    
    List<String> contentTypes = [];

    String contentType = contentTypes.length > 0 ? contentTypes[0] : "application/json";
    List<String> authNames = ["bearerAuth"];

    if(contentType.startsWith("multipart/form-data")) {
      bool hasFields = false;
      MultipartRequest mp = new MultipartRequest(null, null);
      if(hasFields)
        postBody = mp;
    }
    else {
          }

    var response = await apiClient.invokeAPI(path,
                                             'GET',
                                             queryParams,
                                             postBody,
                                             headerParams,
                                             formParams,
                                             contentType,
                                             authNames);

    if(response.statusCode >= 400) {
      throw new ApiException(response.statusCode, response.body);
    } else if(response.body != null) {
      return
        (apiClient.deserialize(response.body, 'List<UserInfo>') as List).map((item) => item as UserInfo).toList();
    } else {
      return null;
    }
  }
}
