part of swagger.api;

class CountriesListCollection {
  
  String countryCode = null;

  String name = null;
/* html color code of the country */
  String colour = null;
/* utf emoji representing the country flag */
  String flag = null;
/* country population in millions */
  int population = null;
/* date as YYYY-MM-DD after which DiscoverSnoop has data for the country */
  String statsStartAt = null;

  CountriesListCollection();

  @override
  String toString() {
    return 'CountriesListCollection[countryCode=$countryCode, name=$name, colour=$colour, flag=$flag, population=$population, statsStartAt=$statsStartAt, ]';
  }

  CountriesListCollection.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    countryCode = json['countryCode'];
    name = json['name'];
    colour = json['colour'];
    flag = json['flag'];
    population = json['population'];
    statsStartAt = json['statsStartAt'];
  }

  Map<String, dynamic> toJson() {
    return {
      'countryCode': countryCode,
      'name': name,
      'colour': colour,
      'flag': flag,
      'population': population,
      'statsStartAt': statsStartAt
     };
  }

  static List<CountriesListCollection> listFromJson(List<dynamic> json) {
    return json == null ? new List<CountriesListCollection>() : json.map((value) => new CountriesListCollection.fromJson(value)).toList();
  }

  static Map<String, CountriesListCollection> mapFromJson(Map<String, Map<String, dynamic>> json) {
    var map = new Map<String, CountriesListCollection>();
    if (json != null && json.length > 0) {
      json.forEach((String key, Map<String, dynamic> value) => map[key] = new CountriesListCollection.fromJson(value));
    }
    return map;
  }
}
