part of swagger.api;

class Domain {
  /* true if your request was executed correctly, false otherwise. more information in transaction_state */
  bool status = null;
/* the transaction ID that was assignated to your request. use it for customer suppport */
  String transactionId = null;
/* verbose information about execution of your request */
  String transactionState = null;

  List<MetricsCollection> data = [];

  List<DomainsCollection> info = [];

  List<DistributionCollection> countries = [];

  List<DistributionCollection> categories = [];

  Domain();

  @override
  String toString() {
    return 'Domain[status=$status, transactionId=$transactionId, transactionState=$transactionState, data=$data, info=$info, countries=$countries, categories=$categories, ]';
  }

  Domain.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    status = json['status'];
    transactionId = json['transaction_id'];
    transactionState = json['transaction_state'];
    data = MetricsCollection.listFromJson(json['data']);
    info = DomainsCollection.listFromJson(json['info']);
    countries = DistributionCollection.listFromJson(json['countries']);
    categories = DistributionCollection.listFromJson(json['categories']);
  }

  Map<String, dynamic> toJson() {
    return {
      'status': status,
      'transaction_id': transactionId,
      'transaction_state': transactionState,
      'data': data,
      'info': info,
      'countries': countries,
      'categories': categories
     };
  }

  static List<Domain> listFromJson(List<dynamic> json) {
    return json == null ? new List<Domain>() : json.map((value) => new Domain.fromJson(value)).toList();
  }

  static Map<String, Domain> mapFromJson(Map<String, Map<String, dynamic>> json) {
    var map = new Map<String, Domain>();
    if (json != null && json.length > 0) {
      json.forEach((String key, Map<String, dynamic> value) => map[key] = new Domain.fromJson(value));
    }
    return map;
  }
}
