part of swagger.api;

class Entity {
  /* true if your request was executed correctly, false otherwise. more information in transaction_state */
  bool status = null;
/* the transaction ID that was assignated to your request. use it for customer suppport */
  String transactionId = null;
/* verbose information about execution of your request */
  String transactionState = null;

  List<MetricsCollection> data = [];

  List<EntitiesCollection> info = [];

  List<DomainsCollection> topdomains = [];

  Entity();

  @override
  String toString() {
    return 'Entity[status=$status, transactionId=$transactionId, transactionState=$transactionState, data=$data, info=$info, topdomains=$topdomains, ]';
  }

  Entity.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    status = json['status'];
    transactionId = json['transaction_id'];
    transactionState = json['transaction_state'];
    data = MetricsCollection.listFromJson(json['data']);
    info = EntitiesCollection.listFromJson(json['info']);
    topdomains = DomainsCollection.listFromJson(json['topdomains']);
  }

  Map<String, dynamic> toJson() {
    return {
      'status': status,
      'transaction_id': transactionId,
      'transaction_state': transactionState,
      'data': data,
      'info': info,
      'topdomains': topdomains
     };
  }

  static List<Entity> listFromJson(List<dynamic> json) {
    return json == null ? new List<Entity>() : json.map((value) => new Entity.fromJson(value)).toList();
  }

  static Map<String, Entity> mapFromJson(Map<String, Map<String, dynamic>> json) {
    var map = new Map<String, Entity>();
    if (json != null && json.length > 0) {
      json.forEach((String key, Map<String, dynamic> value) => map[key] = new Entity.fromJson(value));
    }
    return map;
  }
}
