part of swagger.api;

class Page {
  /* true if your request was executed correctly, false otherwise. more information in transaction_state */
  bool status = null;
/* the transaction ID that was assignated to your request. use it for customer suppport */
  String transactionId = null;
/* verbose information about execution of your request */
  String transactionState = null;

  List<PagesCollection> info = [];

  List<MetricsCollection> data = [];

  Page();

  @override
  String toString() {
    return 'Page[status=$status, transactionId=$transactionId, transactionState=$transactionState, info=$info, data=$data, ]';
  }

  Page.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    status = json['status'];
    transactionId = json['transaction_id'];
    transactionState = json['transaction_state'];
    info = PagesCollection.listFromJson(json['info']);
    data = MetricsCollection.listFromJson(json['data']);
  }

  Map<String, dynamic> toJson() {
    return {
      'status': status,
      'transaction_id': transactionId,
      'transaction_state': transactionState,
      'info': info,
      'data': data
     };
  }

  static List<Page> listFromJson(List<dynamic> json) {
    return json == null ? new List<Page>() : json.map((value) => new Page.fromJson(value)).toList();
  }

  static Map<String, Page> mapFromJson(Map<String, Map<String, dynamic>> json) {
    var map = new Map<String, Page>();
    if (json != null && json.length > 0) {
      json.forEach((String key, Map<String, dynamic> value) => map[key] = new Page.fromJson(value));
    }
    return map;
  }
}
