part of swagger.api;

class TransactionInfo {
  /* true if your request was executed correctly, false otherwise. more information in transaction_state */
  bool status = null;
/* the transaction ID that was assignated to your request. use it for customer suppport */
  String transactionId = null;
/* verbose information about execution of your request */
  String transactionState = null;

  TransactionInfo();

  @override
  String toString() {
    return 'TransactionInfo[status=$status, transactionId=$transactionId, transactionState=$transactionState, ]';
  }

  TransactionInfo.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    status = json['status'];
    transactionId = json['transaction_id'];
    transactionState = json['transaction_state'];
  }

  Map<String, dynamic> toJson() {
    return {
      'status': status,
      'transaction_id': transactionId,
      'transaction_state': transactionState
     };
  }

  static List<TransactionInfo> listFromJson(List<dynamic> json) {
    return json == null ? new List<TransactionInfo>() : json.map((value) => new TransactionInfo.fromJson(value)).toList();
  }

  static Map<String, TransactionInfo> mapFromJson(Map<String, Map<String, dynamic>> json) {
    var map = new Map<String, TransactionInfo>();
    if (json != null && json.length > 0) {
      json.forEach((String key, Map<String, dynamic> value) => map[key] = new TransactionInfo.fromJson(value));
    }
    return map;
  }
}
