part of swagger.api;

class UserInfo {
  /* true if your request was executed correctly, false otherwise. more information in transaction_state */
  bool status = null;
/* the transaction ID that was assignated to your request. use it for customer suppport */
  String transactionId = null;
/* verbose information about execution of your request */
  String transactionState = null;

  List<UserCollection> data = [];

  UserInfo();

  @override
  String toString() {
    return 'UserInfo[status=$status, transactionId=$transactionId, transactionState=$transactionState, data=$data, ]';
  }

  UserInfo.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    status = json['status'];
    transactionId = json['transaction_id'];
    transactionState = json['transaction_state'];
    data = UserCollection.listFromJson(json['data']);
  }

  Map<String, dynamic> toJson() {
    return {
      'status': status,
      'transaction_id': transactionId,
      'transaction_state': transactionState,
      'data': data
     };
  }

  static List<UserInfo> listFromJson(List<dynamic> json) {
    return json == null ? new List<UserInfo>() : json.map((value) => new UserInfo.fromJson(value)).toList();
  }

  static Map<String, UserInfo> mapFromJson(Map<String, Map<String, dynamic>> json) {
    var map = new Map<String, UserInfo>();
    if (json != null && json.length > 0) {
      json.forEach((String key, Map<String, dynamic> value) => map[key] = new UserInfo.fromJson(value));
    }
    return map;
  }
}
